HTML

w3school 在线教程
  • HTML教程
  • XML教程
  • 浏览器脚本
  • 服务器脚本
  • dot net教程
  • 多媒体教程
  • 建站手册

HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <!--...--> 标签

定义和用法

注释标签用于在源文档中插入注释。注释会被浏览器忽略。您可使用注释对您的代码进行解释，这样做有助于您在以后的时间对代码的编辑。

您也可以在注释内容存储针对程序所定制的信息。在这种情况下，这些信息对用户是不可见的，但是对程序来说是可用的。一个好的习惯是把注释或样式元素放入注释文本中，这样就可避免不支持脚本或样式的老浏览器把它们显示为纯文本。

除了在源文档中有非常明显的作用外，许多 Web 服务器也利用注释来实现文档服务端软件特有的特性。这些服务器可以扫描文档，从传统的 HTML/XHTML 注释中找到特定的字符序列，然后再根据嵌在注释中的命令采取相应的动作。这些动作可能是简单的包括其他文件中的文本（即所谓的服务器端包含，server-inside include），也可能是复杂地执行其他命令去动态生成文档的内容。

HTML 4.01 与 HTML 5 之间的差异

NONE

例子：

<!--This text is a comment-->
<p>This is a regular paragraph</p>

属性：无

TIY 实例

隐藏的注释
本例演示如何在 HTML 源代码中插入隐藏的注释。

W3School提供的内容仅用于培训。我们不保证内容的正确性。通过使用本站内容随之而来的风险与本站无关。当使用本站时，代表您已接受了本站的使用条款和隐私条款。

版权所有，保留一切权利。未经书面许可，不得转载。W3School 简体中文版的所有内容仅供测试，对任何法律问题及风险不承担任何责任。上海赢科投资公司。


HTML 5

  • 浏览器脚本
  • 服务器脚本
  • dot net教程
  • 多媒体教程
  • 建站手册

HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <!DOCTYPE> 标签

定义和用法

<!DOCTYPE> 声明是文档中的第一个成分，位于 <html> 标签之前。该标签告知浏览器文档所使用的 HTML 规范。

HTML 4.01 与 HTML 5 之间的差异

在 HTML 4.01 中有 3 个不同的文档类型，在 HTML 5 中只有一个：<!DOCTYPE HTML>。

提示和注释：

注释：<!DOCTYPE> 标签没有结束标签！

提示：<!DOCTYPE> 对大小写不敏感。

HTML 5

在 HTML5 中，文档类型声明很简单：

<!DOCTYPE HTML>

在所有 HTML 文档中规定文档类型很重要，这样浏览器才能了解所预期的文档类型。

HTML 4.01 中的 doctype 需要引用一个 DTD，这是因为 HTML 4.01 基于 SGML。HTML 5 不基于 SGML，也不需要引用 DTD，但是需要声明文档类型让浏览器按照它们应该的方式来运行。

属性：NONE


  • 多媒体教程
  • 建站手册

HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <a> 标签

定义和用法

<a> 标签定义超链接，它用于从一个页面连接到另一个页面。

HTML 4.01 与 HTML 5 之间的差异

在 HTML 4.01 中，<a> 标签既可以是超链接，也可以是锚。这取决于是否描述了 href 属性。

在 HTML 5 中，<a> 是超链接，但是假如没有 href 属性，它仅仅是超链接的一个占位符。

HTML 5 有一些新的属性，同时不再支持一些 HTML 4.01 的属性。

例子：

链接到 w3school：

<a href="http://www.w3school.com.cn">W3School</a>

在新窗口中打开 w3school：

<a href="http://www.w3school.com.cn" target="_blank">W3School</a>

属性

属性 | 描述 | 4 | 5
charset | 不赞成。规定目标 URL 的字符编码。 | 4 |
coords | 不赞成。规定适于 shape 属性的坐标，为图像映射定义图像的区域。 | 4 |
href | 链接的目标 URL。 | 4 | 5
hreflang | 规定目标 URL 的基准语言。仅在 href 属性存在时使用。 | 4 | 5
media | 规定目标 URL 的媒介类型。默认值：all。仅在 href 属性存在时使用。 |  | 5
name | 不赞成。命名一个锚。不支持。使用 id 代替。 | 4 |
ping | 由空格分隔的 URL 列表，当用户点击该链接时，这些 URL 会获得通知。 仅在 href 属性存在时使用。 |  | 5
rel | 规定当前文档与目标 URL 之间的关系。仅在 href 属性存在时使用。 | 4 | 5
rev | 不赞成。规定目标 URL 与当前文档之间的关系。 | 4 |
shape | 不赞成。为当前 area 标签中的映射定义的地区类型。与 coords 属性一起使用。 | 4 |
target | 在何处打开目标 URL。仅在 href 属性存在时使用。 | 4 | 5
type | 规定目标 URL 的 MIME 类型。仅在 href 属性存在时使用。 | 4 | 5

标准属性

class, contenteditable, contextmenu, dir, draggable, id,
irrelevant, lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访 HTML 5 中事件属性。

TIY 实例

创建超级链接
本例演示如何在 HTML 文档中创建链接。
将图像作为链接
本例演示如何使用图像作为链接。
在新的浏览器窗口打开链接
本例演示如何在新窗口打开一个页面，这样的话访问者就无需离开你的站点了。
创建电子邮件链接
本例演示如何如何链接到一个邮件。（本例在安装邮件客户端程序后才能工作。）
创建电子邮件链接 2
本例演示更加复杂的邮件链接。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <abbr> 标签

定义和用法

表示一个缩写形式，比如 "Inc."、"etc."。通过对缩写词语进行标记，您就能够为浏览器、拼写检查程序、翻译系统以及搜索引擎分度器提供有用的信息。

<abbr> 标签最初是在 HTML 4.0 中引入的，表示它所包含的文本是一个更长的单词或短语的缩写形式。

浏览器可能会根据这个信息改变对这些文本的显示方式，或者用其他文本代替。也许当前流行的浏览器对 <abbr> 标签中包含的文本还没有任何处理方式，但是我们无法预测将来的版本将会如何实现该标签。

HTML 4.01 与 HTML 5 之间的差异

NONE

例子：

<abbr title="etcetera">etc.</abbr>

输出：

etc.

提示和注释：

注释：在某些浏览器中，当您把鼠标移至缩略词语上时，title 可被用来展示表达的完整版本。

属性

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访 HTML 5 中事件属性。

TIY 实例

缩写和首字母缩写
此例演示如何实现缩写或首字母缩写。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <acronym> 标签

定义和用法

<acronym> 标签定义首字母缩写词，比如 "NASA"。通过对只取首字母缩写进行标记，您就能够为浏览器、拼写检查程序、翻译系统以及搜索引擎分度器提供有用的信息。

HTML 4.01 与 HTML 5 之间的差异

HTML 5 不支持 <acronym>。请使用 <abbr> 代替。

例子：

<acronym title="World Wide Web">WWW</acronym>

输出：

WWW

提示和注释：

注释：在某些浏览器中，当您把鼠标移至缩略词语上时，title 可被用来展示表达的完整版本。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <address> 标签

定义和用法

<address> 标签为文档或 section 定义联系信息。

HTML 4.01 与 HTML 5 之间的差异

NONE

例子：

<address>
此文档的作者：<a href="mailto:bill@microsoft.com">Bill Gates</a>
</address>

提示和注释：

注释：address 通常被呈现为斜体。大多数浏览器会在 address 元素的前后添加一个换行符，不过如果有必要的话，您需要在地址文本的内容添加额外的换行符。

属性

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访 HTML 5 中事件属性。

TIY 实例

缩写和首字母缩写
此例演示如何实现缩写或首字母缩写。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <applet> 标签

定义和用法

<applet> 定义嵌入的 applet。

HTML 4.01 与 HTML 5 之间的差异

HTML 4.01 中不赞成使用 applet 元素。

HTML 5 中不支持 applet 元素。

提示和注释：

提示：HTML 5 中不支持 applet 元素。请使用 <object> 代替。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <area> 标签

定义和用法

<area> 标签定义图像映射中的区域。

HTML 4.01 与 HTML 5 之间的差异

HTML 5 有一些新的属性，且不再支持 HTML 4.01 的一些属性。

例子：

<img src ="planets.gif" alt="Planets" usemap ="#planetmap" />

<map id ="planetmap">
 <area shape ="rect" coords ="0,0,82,126" href ="sun.htm" alt="Sun" />
 <area shape ="circle" coords ="90,58,3" href ="mercur.htm" alt="Mercury" />
 <area shape ="circle" coords ="124,58,8" href ="venus.htm" alt="Venus" />
</map>

属性

属性 | 描述 | 4 | 5
alt | 定义此区域的替换文本。如果 href 存在，则该属性是必需的。 仅在 href 属性存在时使用。 | 4 | 5
coords | 定义可点击区域的坐标。 | 4 | 5
href | 定义此区域的目标 URL。 | 4 | 5
hreflang | 规定目标 URL 的基准语言。仅在 href 属性存在时使用。 | 4 | 5
nohref | 不赞成。从图像映射排除一个区域。 | 4 |
media | 规定目标 URL 的媒介类型。默认值：all。仅在 href 属性存在时使用。 |  | 5
ping | 由空格分隔的 URL 列表，当用户点击该链接时，这些 URL 会获得通知。 仅在 href 属性存在时使用。 |  | 5
rel | 规定当前文档与目标 URL 之间的关系。仅在 href 属性存在时使用。 |  | 5
shape | 规定区域的形状。 | 4 | 5
target | 在何处打开目标 URL。 | 4 | 5
type | 规定目标 URL 的 MIME 类型。仅在 href 属性存在时使用。 |  | 5

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访 HTML 5 中事件属性。

TIY

创建图像映射
本例显示如何创建带有可供点击区域的图像映射。其中的每个区域都是一个超级链接。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <article> 标签

定义和用法

<article> 标签定义外部的内容。比如来自一个外部的新闻提供者的一篇新的文章，或者来自 blog 的文本，或者是来自论坛的文本。亦或是来自其他外部源内容。

HTML 4.01 与 HTML 5 之间的差异

<article> 标签是 HTML 5 的新标签。

例子：

<article>
<h2>Netscape Is Dead</h2>
AOL has now officially announced that they will end
the development and support of all Netscape browsers.
</article>

提示和注释：

注释：<article> 标签的内容独立于文档的其余部分。

属性

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访 HTML 5 中事件属性。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <aside> 标签

定义和用法

<aside> 标签定义 article 以外的内容。aside 的内容应该与 article 的内容相关。

HTML 4.01 与 HTML 5 之间的差异

<aside> 标签是 HTML 5 的新标签。

例子：

<aside>Aside 的内容是独立的内容，但应与文档内容相关。</aside>

提示和注释：

注释：<aside> 的内容可用作文档的侧栏。

属性

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访 HTML 5 中事件属性。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <audio> 标签

定义和用法

<audio> 标签定义声音，比如音乐或其他音频流。

HTML 4.01 与 HTML 5 之间的差异

<audio> 标签是 HTML 5 的新标签。

例子：

<audio src="someaudio.wav">您的浏览器不支持 audio 标签。</audio>

属性

属性 | 值 | 描述
autoplay | true | false | 如果是 true，则音频在就绪后马上播放。
controls | true | false | 如果是 true，则向用户显示控件，比如播放按钮。
end | numeric value | 定义播放器在音频流中的何处停止播放。默认地，声音会播放到结尾。
loopend | numeric value | 定义在音频流中循环播放停止的位置，默认是 end 属性的值。
loopstart | numeric value | 定义在音频流中循环播放的开始位置。默认是 start 属性的值。
playcount | numeric value | 定义音频片断播放多少次。默认是 1。
src | url | 所播放音频的 url。
start | numeric value | 定义播放器在音频流中开始播放的位置。默认地，声音在开头进行播放。

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访 HTML 5 中事件属性。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <b> 标签

定义和用法

<b> 标签定义粗体的文本。

<b> 标签定义了文本中的部分比其余的部分更重要，并呈现为粗体。

HTML 4.01 与 HTML 5 之间的差异

没有区别。

但是在 HTML 4.01 中，我们的理解是使用 CSS 来制作粗体的文本。在 HTML 5 中，我们仍然可以这么理解，不过我们应该使用 <b> 标签定义文本中更重要的部分。

例子：

The house with the <b>red</b> door

属性

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访 HTML 5 中事件属性。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <base> 标签

定义和用法

<base> 标签规定页面中所有链接的基准 url。

HTML 4.01 与 HTML 5 之间的差异

None

例子：

假设图像的绝对地址是：

<img src="http://www.w3school.com.cn/i/pic.gif" />

现在我们在页面中的 head 部分插入 <base> 标签，规定页面中所有链接的基准 url：

<head>
<base href="http://www.w3school.com.cn/i/" />
</head>

在上例中的页面上插入图像时，我们必须规定相对的地址，浏览器会寻找文件所使用的完整 URL：

<img src="pic.gif" />

属性

属性 | 描述 | 5 | 4
href | 规定作为基准 URL 在页面中使用的 URL。 | 4 | 5
target | 在何处打开页面上的链接。该属性会被每个链接中的 target 属性覆盖。 | 4 | 5

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访 HTML 5 中事件属性。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <basefont> 标签

定义和用法

<basefont> 标签定义基准字体。

HTML 4.01 与 HTML 5 之间的差异

HTML 5 不支持 <basefont> 标签。请用 CSS 代替。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <bdo> 标签

定义和用法

<bdo> 标签覆盖默认的文本方向。

HTML 4.01 与 HTML 5 之间的差异

NONE

例子：

<bdo dir="rtl">Here is some text</bdo>

属性

属性 值 描述 4 5
dir
  • ltr
  • rtl
必需。定义文本方向。 4 5

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访 HTML 5 中事件属性。

TIY 实例

文字方向
此例演示如何改变文字的方向。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <big> 标签

定义和用法

<big> 标签制作更大的文本。

HTML 4.01 与 HTML 5 之间的差异

HTML 5 不支持 <big> 标签。请用 CSS 代替。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <blockquote> 标签

定义和用法

<blockquote> 标签定义引用。

HTML 4.01 与 HTML 5 之间的差异

无。

例子：

毛泽东说过：
<blockquote>帝国主义都是纸老虎 ... </blockquote>

属性

属性 | 值 | 描述 | 4 | 5
cite | URL | 引用的 URL，如果引用来自网络的话。 | 4 | 5

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访 HTML 5 中事件属性。

TIY 实例

引用
此例演示如何实现长短不一的引用。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <body> 标签

定义和用法

body 元素定义文档的主体。其中包含文档的所有内容（比如文本、图像、颜色、图形等等）。

HTML 4.01 与 HTML 5 之间的差异

在 HTML 5 中，删除了所有 <body> 的特殊属性。而那些属性在 HTML 4.01 中是不被赞成使用的。

例子：

<html>

  <head></head>

  <body>文档的内容 ......</body>

</html>

属性

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访 HTML 5 中事件属性。

TIY 实例

引用
此例演示如何实现长短不一的引用。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <br> 标签

定义和用法

<br> 标签插入简单的换行符。

<br> 标签是一个空标签，意味着它没有结束标签。所以这样是错误的：<br></br>

HTML 4.01 与 HTML 5 之间的差异

无。

例子：

This text contains<br />a line break

输出：

This text contains
a line break

属性

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访 HTML 5 中事件属性。

TIY 实例

换行
本例演示如何在文档中插入换行符。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <button> 标签

定义和用法

<button> 标签定义按钮。您可以在 button 元素中放置内容，比如文档或图像。这是该元素与由 input 元素创建的按钮的不同之处。

HTML 4.01 与 HTML 5 之间的差异

在 HTML 5 中有一个新属性：autofocus。

例子：

<button>Click Me!</button>

属性

属性 | 值 | 描述 | 4 | 5
autofocus | true | false | 在页面加载时，是否让按钮获得焦点。 | 5
disabled | disabled | 禁用按钮 | 4 | 5
name | button_name | 为按钮规定为一的名称。 | 4 | 5
type
  • button
  • reset
  • submit
定义按钮的类型。 4 5
value | some_value | 为按钮规定初始值。该值可通过脚本改变。 | 4 | 5

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访 HTML 5 中事件属性。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <canvas> 标签

定义和用法

<canvas> 标签定义图形，比如图表和其他图像。

HTML 4.01 与 HTML 5 之间的差异

<canvas> 标签是 HTML 5 中的新标签。

<canvas> 的历史

这个 HTML 元素是为了客户端矢量图形而设计的。它自己没有行为，但却把一个绘图 API 展现给客户端 JavaScript 以使脚本能够把想绘制的东西都绘制到一块画布上。

<canvas> 标记由 Apple 在 Safari 1.3 Web 浏览器中引入。对 HTML 的这一根本扩展的原因在于，HTML 在 Safari 中的绘图能力也为 Mac OS X 桌面的 Dashboard 组件所使用，并且 Apple 希望有一种方式在 Dashboard 中支持脚本化的图形。

Firefox 1.5 和 Opera 9 都跟随了 Safari 的引领。这两个浏览器都支持 <canvas> 标记。

我们甚至可以在 IE 中使用 <canvas> 标记，并在 IE 的 VML 支持的基础上用开源的 JavaScript 代码（由 Google 发起）来构建兼容性的画布。参见：http://excanvas.sourceforge.net/。

<canvas> 的标准化的努力由一个 Web 浏览器厂商的非正式协会在推进，目前 <canvas> 已经成为 HTML 5 草案中一个正式的标签。参见：http://www.whatwg.org/specs/web-apps/current-work/

<canvas> 标记和 SVG 以及 VML 之间的差异

<canvas> 标记和 SVG 以及 VML 之间的一个重要的不同是，<canvas> 有一个基于 JavaScript 的绘图 API，而 SVG 和 VML 使用一个 XML 文档来描述绘图。

这两种方式在功能上是等同的，任何一种都可以用另一种来模拟。从表面上看，它们很不相同，可是，每一种都有强项和弱点。例如，SVG 绘图很容易编辑，只要从其描述中移除元素就行。

要从同一图形的一个 <canvas> 标记中移除元素，往往需要擦掉绘图重新绘制它。

如何使用 <canvas> 标记绘图

大多数 Canvas 绘图 API 都没有定义在 <canvas> 元素本身上，而是定义在通过画布的 getContext() 方法获得的一个“绘图环境”对象上。

Canvas API 也使用了路径的表示法。但是，路径由一系列的方法调用来定义，而不是描述为字母和数字的字符串，比如调用 beginPath() 和 arc() 方法。

一旦定义了路径，其他的方法，如 fill()，都是对此路径操作。绘图环境的各种属性，比如 fillStyle，说明了这些操作如何使用。

注释：Canvas API 非常紧凑的一个原因上它没有对绘制文本提供任何支持。要把文本加入到一个 <canvas> 图形，必须要么自己绘制它再用位图图像合并它，或者在 <canvas> 上方使用 CSS 定位来覆盖 HTML 文本。

例子：

<script type="text/javascript">
function drawCanvas()
{
var canvas=document.getElementById('myCanvas');
var ctx=canvas.getContext('2d');
ctx.fillStyle='#FF0000';
ctx.fillRect(0,0,80,100);
}
</script>
...

<canvas id="myCanvas">
your browser does not support the canvas tag
</canvas>

属性

属性 | 值 | 描述
height | pixels | 设置 canvas 的高度。
width | pixels | 设置 canvas 的宽度。

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访 HTML 5 中事件属性。

参阅

HTML DOM Canvas 对象


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <caption> 标签

定义和用法

<caption> 标签定义表格标题。<caption> 标签必须紧随 <table> 标签之后。

HTML 4.01 与 HTML 5 之间的差异

HTML 4.01 不赞成使用 align 属性。在 HTML 5 中，不支持该标签。请使用 CSS 代替。

例子：

<table>
  <caption>This is a caption</caption>
  <tr>
  <td>Cell 1</td>
  <td>Cell 2</td>
  </tr>
</table>

属性

属性 值 描述 4 5
align
  • left
  • right
  • top
  • bottom
如何对齐标题。不支持。请使用样式代替。 4

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访 HTML 5 中事件属性。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <center> 标签

定义和用法

<center> 标签对其包围的文本进行水平居中处理。

HTML 4.01 与 HTML 5 之间的差异

在 HTML 5 中，不支持该标签。请使用 CSS 代替。

提示和注释

提示：请使用 CSS 来居中文本。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <col> 标签

定义和用法

<col> 标签为表格中的一个或多个列定义属性值。您只能在表格或列组中使用该元素。

HTML 4.01 与 HTML 5 之间的差异

4.01 中的大多数属性都不再得到支持。

提示和注释

注释：col 元素是空元素。如需创建列，必须在 tr 元素内规定 td 元素。

提示：如果需要为一个或多个列规定属性值，请使用该元素。

提示：如果需要向一个列组规定相同的属性值，请使用 <colgroup> 元素。

例子：

 <table>
  <col style="color:blue" />
  <col span="2" style="color:yellow" />
  <tr>
    <td>1</td>
    <td>2</td>
    <td>3</td>
    <td>4</td>
  </tr>
  <tr>
    <td>1</td>
    <td>2</td>
    <td>3</td>
    <td>4</td>
  </tr>
</table>

属性

属性 | 值 | 描述 | 4 | 5
align
  • right
  • left
  • center
  • justify
  • char
定义列中的单元格内容的水平对齐方式。 4
char character

定义一个字符，按照该字符对齐文本。

与 align="char" 使用。

 4
charoff
  • pixels
  • %
规定第一个对齐字符的偏移量。 4
span | number | 定义 <col> 应当横跨的列数。 | 4 | 5
valign
  • top
  • middle
  • bottom
  • baseline
定义列中的单元格内容的垂直对齐方式。 4
width
  • %
  • pixels
  • relative_length
定义列的宽度。 4

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访 HTML 5 中事件属性。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <colgroup> 标签

定义和用法

<colgroup> 标签定义表格列的组。通过此标签，您可以对列进行组合，以便格式化。该元素只有在 <table> 中才是合法的。

HTML 4.01 与 HTML 5 之间的差异

4.01 中的大多数属性都不再得到支持。

提示和注释

注释：colgroup 元素只能包含 col 元素。

注释：colgroup 元素无法创建表格列。如需创建列，必须在 tr 元素内规定 td 元素。

提示：如果需要向一个列组规定相同的属性值，请使用该元素。

提示：如果需要为一个或多个列规定属性值，请使用 col 元素。

例子：

<table>
  <colgroup span="3" style="color:blue"></colgroup>
  <tr>
  <td>1</td>
  <td>2</td>
  <td>3</td>
  <td>4</td>
  </tr>
  <tr>
  <td>1</td>
  <td>2</td>
  <td>3</td>
  <td>4</td>
  </tr>
</table>

属性

属性 | 值 | 描述 | 4 | 5
align
  • right
  • left
  • center
  • justify
  • char
定义列中的单元格内容的水平对齐方式。 4
char | character | 定义一个字符，按照该字符对齐文本。 | 4
charoff
  • pixels
  • %
规定第一个对齐字符的偏移量。 4
span | number | 定义 <colgroup> 应当横跨的列数。 | 4 | 5
valign
  • top
  • middle
  • bottom
  • baseline
定义列中的单元格内容的垂直对齐方式。 4
width
  • %
  • pixels
  • relative_length
定义列的宽度。 4

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访 HTML 5 中事件属性。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <command> 标签

定义和用法

<command> 标签定义命令按钮，比如单选按钮、复选框或按钮。

HTML 4.01 与 HTML 5 之间的差异

<command> 标签是 HTML 5 中的新标签。

属性

属性 | 值 | 描述
checked | true | false | 定义是否被选中。仅用于 radio 或 checkbox 类型。
default | true | false | 如果为 true，则被激活。仅用于该 command 位于菜单中时。
disabled | true | false | 定义 command 是否可用。
hidden | true | false | 定义 command 是否可见。
icon | url | 定义作为 command 来显示的图像的 url。
label | command name | 为 command 定义名称。label 是可见的。
radiogroup | name of radiogroup | 定义该 command 所属的 radiogroup 的名称。仅在类型为 radio 时使用。
type
  • checkbox
  • command
  • radio
定义该 command 的类型。默认是 command。

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访 HTML 5 中事件属性。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <datagrid> 标签

定义和用法

<datagrid> 标签定义可选数据的列表。datagrid 作为树列表来显示。

HTML 4.01 与 HTML 5 之间的差异

<datagrid> 标签是 HTML 5 中的新标签。

提示和注释

提示：如果把 multiple 属性设置为 true，则可以在列表中选取一个以上的项目。

属性

属性 | 值 | 描述
disabled | true | false | 如果为 true，则禁用整个 datagrid。
multiple | true | false | 如果为 true，则可以在 datagrid 中选择一个以上的项目。

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访 HTML 5 中事件属性。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <datalist> 标签

定义和用法

<datalist> 标签定义可选数据的列表。与 input 元素配合使用，就可以制作出输入值的下拉列表。

HTML 4.01 与 HTML 5 之间的差异

<datalist> 标签是 HTML 5 中的新标签。

例子

<input id="myCar" list="cars" />
<datalist id="cars">
  <option value="BMW">
  <option value="Ford">
  <option value="Volvo">
</datalist>

属性

属性 | 值 | 描述
data | value | 供自动插入数据。

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访 HTML 5 中事件属性。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <datatemplate> 标签

定义和用法

<datatemplate> 标签定义数据模板的一个容器。该元素必须有定义模板的子元素：<rule> 元素。

HTML 4.01 与 HTML 5 之间的差异

<datatemplate> 标签是 HTML 5 中的新标签。

属性

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访 HTML 5 中事件属性。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <dd> 标签

定义和用法

<dd> 标签定义一个定义列表中对项目的描述。

HTML 4.01 与 HTML 5 之间的差异

无。

<dl>
  <dt>Coffee</dt>
  <dd>Black hot drink</dd>
  <dt>Milk</dt>
  <dd>White cold drink</dd>
</dl>

属性

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访 HTML 5 中事件属性。

TIY 实例

定义列表
本例演示一个定义列表。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <del> 标签

定义和用法

<dd> 标签定义文档中已删除的文本。

HTML 4.01 与 HTML 5 之间的差异

无。

提示和注释

提示：与 <ins> 一起使用，描述文档中的更新和修正。

例子

a dozen is <del>21</del> 12 pieces

属性

属性 | 值 | 描述 | 4 | 5
cite | URL | 定义指向另一个文档的 URL，该文档解释了文本被删除或插入的原因。 | 4 | 5
datetime | YYYYMMDD | 定义文本被删除的日期和时间。 | 4 | 5

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访 HTML 5 中事件属性。

TIY 实例

删除和插入文本
此例演示如何标记文档中删除和插入的文本。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <details> 标签

定义和用法

<details> 标签定义元素的细节，用户可进行查看，或通过点击进行隐藏。

HTML 4.01 与 HTML 5 之间的差异

<details> 标签是 HTML 5 中的新标签。

提示和注释

提示：与 <legend> 一起使用，来制作 detail 的标题。该标题对用户是可见的，当在其上点击时可打开或关闭 detail。

属性

属性 | 值 | 描述
open | true | false | 定义 details 是否可见。默认是 false。

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访 HTML 5 中事件属性。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <dialog> 标签

定义和用法

<dialog> 标签定义对话，比如交谈。

HTML 4.01 与 HTML 5 之间的差异

<dialog> 标签是 HTML 5 中的新标签。

提示和注释

提示：对话中的每个句子都必须属于 <dt> 标签所定义的部分。请看下面的例子。

例子

<dialog>
  <dt>老师</dt>
  <dd>2+2 等于？</dd>
  <dt>学生</dt>
  <dd>4</dd>
  <dt>老师</dt>
  <dd>答对了！</dd>
</dialog>

属性

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访 HTML 5 中事件属性。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <dir> 标签

定义和用法

<dir> 标签定义目录列表。

HTML 4.01 与 HTML 5 之间的差异

在 HTML 4.01 中，不赞成使用 <dir> 标签。

HTML 5 不支持 <dir> 标签。请用 CSS 代替。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <div> 标签

定义和用法

<div> 标签定义文档中的 division/section。

HTML 4.01 与 HTML 5 之间的差异

HTML 4.01 中的 "align" 是不赞成使用的，在 HTML 5 中不支持该属性。

提示和注释

注释：浏览器通常会在 div 元素之前和之后插入换行符。

提示：请使用 <div> 标签对块级元素进行组合，这样就可以使用样式对它们进行格式化。

属性

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访 HTML 5 中事件属性。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <dl> 标签

定义和用法

<dl> 标签定义一个定义列表。

HTML 4.01 与 HTML 5 之间的差异

无。

<dl>
  <dt>Coffee</dt>
  <dd>Black hot drink</dd>
  <dt>Milk</dt>
  <dd>White cold drink</dd>
</dl>

属性

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访 HTML 5 中事件属性。

TIY 实例

定义列表
如何创建定义列表。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <dt> 标签

定义和用法

<dt> 标签定义一个定义列表中的一个项目，以及 dialog 中的角色。

HTML 4.01 与 HTML 5 之间的差异

HTML 5 引入了 <dialog> 标签。在 dialog 中，<dt> 标签定义句子所属的角色。参见例子 2。

例子

例子 1

<dl>
  <dt>Coffee</dt>
  <dd>Black hot drink</dd>
  <dt>Milk</dt>
  <dd>White cold drink</dd>
</dl>

例子 2

<dialog>
  <dt>老师</dt>
  <dd>2+2 等于？</dd>
  <dt>学生</dt>
  <dd>4</dd>
  <dt>老师</dt>
  <dd>答对了！</dd>
</dialog>

属性

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访 HTML 5 中事件属性。

TIY 实例

定义列表
如何创建定义列表。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <embed> 标签

定义和用法

<embed> 标签定义嵌入的内容，比如插件。

HTML 4.01 与 HTML 5 之间的差异

<embed> 标签是 HTML 5 中的新标签。

提示和注释

注释：<embed> 标签必须有 src 属性。

提示：您无法在开始标签和结束标签之间写文本，来说明旧式的浏览器不支持该标签，就像 <audio> 和 <video>。

例子

<embed src="horse.wav" />

属性

属性 | 值 | 描述
height | pixels | 设置嵌入内容的高度。
src | url | 嵌入内容的 URL。
type | type | 定义嵌入内容的类型。
width | pixels | 设置嵌入内容的宽度。

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访 HTML 5 中事件属性。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <event-source> 标签

定义和用法

<event-source> 标签定义由服务器发送的事件的来源。

HTML 4.01 与 HTML 5 之间的差异

<event-source> 标签是 HTML 5 中的新标签。

属性

属性 | 值 | 描述
src | url | 其内容类型为 "application/x-dom-event-stream" 的源的 URL。

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访 HTML 5 中事件属性。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <em> <strong> <dfn> <code> <samp> <kbd> <var> <cite> 标签

定义和用法

以下元素都是短语元素。并不返回使用它们，但是通过使用样式表，可能取得更丰富的效果。

<em> | 呈现为被强调的文本。
<strong> | 定义重要的文本。
<dfn> | 定义一个定义项目。
<code> | 定义计算机代码文本。
<samp> | 定义样本文本。
<kbd> | 定义键盘文本。它表示文本是从键盘上键入的。它经常用在与计算机相关的文档或手册中。
<var> | 定义变量。您可以将此标签与 <pre> 及 <code> 标签配合使用。
<cite> | 定义引用。可使用该标签对参考文献的引用进行定义，比如书籍或杂志的标题。

HTML 4.01 与 HTML 5 之间的差异

在 HTML 4.01 中，<strong> 定义语气更重的强调文本，但是在 HTML 5 中，<strong> 定义重要的文本。

属性

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访 HTML 5 中事件属性。

HTML 文本格式化实例

文本格式化
此例演示如何在一个 HTML 文件中对文本进行格式化
“计算机输出”标签
此例演示不同的“计算机输出”标签的显示效果。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <fieldset> 标签

定义和用法

fieldset 元素可将表单内的相关元素分组。

<fieldset> 标签将表单内容的一部分打包，生成一组相关表单的字段。<fieldset> 标签没有必需的或唯一的属性。

当一组表单元素放到 <fieldset> 标签内时，浏览器会以特殊方式来显示它们，它们可能有特殊的边界、3D 效果，或者甚至可创建一个子表单来处理这些元素。

HTML 4.01 与 HTML 5 之间的差异

在 HTML 5 中有一些新属性，同时不再支持 HTML 4.01 中的一些属性。

属性

属性 | 值 | 描述 | 4 | 5
disabled | true | false | 定义 fieldset 是否可见。 |  | 5
form | true | false | 定义该 fieldset 所属的一个或多个表单。 |  | 5

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访 HTML 5 中事件属性。

TIY 实例

围绕数据的 Fieldset
本例演示如何在数据周围绘制一个带标题的框。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <figure> 标签

定义和用法

<figure> 标签用于对元素进行组合。

HTML 4.01 与 HTML 5 之间的差异

<figure> 标签是 HTML 5 中的新标签。

提示和注释

提示：请使用 <legend> 元素为元素组添加标题。

属性

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访 HTML 5 中事件属性。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <font> 标签

定义和用法

<font> 标签规定文本的字体外观、字体尺寸和字体颜色。不要使用该元素，请使用 CSS 向元素添加样式。

HTML 4.01 与 HTML 5 之间的差异

在 HTML 4.01 中，不赞成使用该元素。

在 HTML 5 中，不支持该元素，但是允许由所见即所得的编辑器来插入该元素 。

在 HTML 5 中，仅支持 style 属性。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <footer> 标签

定义和用法

<footer> 标签定义 section 或 document 的页脚。典型地，它会包含创作者的姓名、文档的创作日期以及/或者联系信息。

HTML 4.01 与 HTML 5 之间的差异

<footer> 标签是 HTML 5 中的新标签。

提示和注释

提示：假如您使用 footer 来插入联系信息，应该使用 <address> 元素。

属性

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访 HTML 5 中事件属性。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <form> 标签

定义和用法

<form> 标签创建供用户输入的表单。

表单可包含文本域，复选框，单选按钮等等。表单用于向指定的 URL 传递用户数据。

HTML 4.01 与 HTML 5 之间的差异

在 HTML 5 中有一些新属性，同时不再支持 HTML 4.01 中的一些属性。

在 HTML 5 中有一个新属性：replace。它定义表单被提交后所做的事情。

属性

属性 | 描述 | 4 | 5
action | 定义一个 URL。当点击提交按钮时，向这个 URL 发送数据。 | 4 | 5
data | 供自动插入数据。 |  | 5
replace | 定义表单提交时所做的事情。 |  | 5
accept | 处理该表单的服务器可正确处理的内容类型列表（用逗号分隔）。 | 4 | 5
accept-charset | 表单数据的可能的字符集列表（逗号分隔）。默认值是 "unknown"。 | 4 | 5
enctype | 用于对表单内容进行编码的 MIME 类型。 | 4 | 5
method | 用于向 action URL 发送数据的 HTTP 方法。默认是 get。 | 4 | 5
name | 为表单定义一个唯一的名称。不支持。用 id 代替。 | 4 |
target | 在何处打开目标 URL。 | 4 | 5

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访 HTML 5 中事件属性。

TIY 实例

带有输入框和确认按钮的表单
本例演示如何向页面添加表单。此表单包含两个输入框和一个确认按钮。
带有复选框的表单
此表单包含两个复选框和一个确认按钮。
带有单选按钮的表单
此表单包含两个单选框和一个确认按钮。
从表单发送电子邮件
此例演示如何从表单发送电子邮件。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <frame> 标签

定义和用法

<frame> 标签定义子窗口（框架）。

由于该标签对网页可用性的负面影响，在 HTML 5 中 <frame> 标签没有得到支持。

HTML 4.01 与 HTML 5 之间的差异

在 HTML 5 中不支持 <frame> 标签。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <frameset> 标签

定义和用法

<frameset> 标签定义框架集。它用于组织多个窗口（框架）。每个框架存在一个独立的文档。在最简单的应用中，frameset 元素仅仅声明框架集中存在的列或行的数目。

由于该标签对网页可用性的负面影响，在 HTML 5 中 <frameset> 标签没有得到支持。

HTML 4.01 与 HTML 5 之间的差异

在 HTML 5 中不支持 <frameset> 标签。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <head> 标签

定义和用法

head 元素可包含关于文档的信息。浏览器不会向用户显示这些头部信息（"head information"）。下面这些标签可用在 head 部分：<base>, <link>, <meta>, <script>, <style>, 以及 <title>。

HTML 4.01 与 HTML 5 之间的差异

在 HTML 5 中不再支持 profile 属性。

提示和注释：

提示：请记住始终为文档规定标题！

例子

<html>

<head>
  <title>文档的标题</title>
</head>

<body>
...
...
...
</body>
</html>

属性

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访 HTML 5 中标准属性。

TIY 实例

文档的标题
头元素内部的标题信息不会被显示在浏览器窗口中。
一个target，所有的链接
本例显示如何使用 base 标签使页面中的所有标签在新窗口中打开。
HTML 中的样式
本例演示如何使用添加到 <head> 部分的样式信息对 HTML 进行格式化。
链接到一个外部样式表
本例演示如何通过 <link> 标签链接到一个外部样式表。
文档描述
Meta 元素中的信息可以描述 HTML 文档。
文档关键字
Meta 元素中的信息可以描述文档的关键词。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <header> 标签

定义和用法

<header> 标签定义 section 或 document 的页眉。

HTML 4.01 与 HTML 5 之间的差异

<header> 标签是 HTML 5 中的新标签。

属性

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访 HTML 5 中事件属性。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <h1> 至 <h6> 标签

定义和用法

<h1> - <h6> 标签可定义标题。<h1> 定义最大的标题。<h6> 定义最小的标题。

由于 h 元素拥有确切的语义，因此请您慎重地选择恰当的标签层级来构建文档的结构。因此，请不要利用标题标签来改变同一行中的字体大小。相反，我们应当使用层叠样式表定义来达到漂亮的显示效果。

如果您希望了解更多有关 HTML 标签选择和使用的信息，请阅读《Web 品质》。

HTML 4.01 与 HTML 5 之间的差异

在 HTML 4.01 中，h1 - h6 元素的 "align" 属性不被赞成使用。

在 HTML 5 中，h1 - h6 元素的 "align" 属性不被支持。

例子

<h1>这是标题 1</h1>
<h1>这是标题 2</h1>
<h2>这是标题 3</h2>
<h4>这是标题 4</h4>
<h5>这是标题 5</h5>
<h6>这是标题 6</h6>

属性

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访 HTML 5 中事件属性。

TIY 实例

标题
本例演示在 HTML 文档中显示标题的标签。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <hr> 标签

定义和用法

<hr> 标签水平线，它应该定义内容中的主题变化。

HTML 4.01 与 HTML 5 之间的差异

属性：在 HTML 4.01 中，不赞成使用 align, noshade, size 以及 width 属性。在 HTML 5 中不再支持这些属性。

在 HTML 5 中，<hr> 标签定义内容中的主题变化，并显示为一条水平线。

在 HTML 4.01 中，它仅仅显示为一条水平线。

属性

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访 HTML 5 中事件属性。

TIY 实例

水平线
如何插入水平线。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <html> 标签

定义和用法

<html> 元素告知浏览器这是一个 HTML 文档。

HTML 4.01 与 HTML 5 之间的差异

在 HTML 4.01 中的 xmlns 属性，在 XHTML 中是必须的。实际上它没有任何效果，但是出于验证的原因，在把 HTML 转换为 XHTML 的过程中，是很有帮助的。在 HTML 5 中，没有理由这么做，但是你仍然可以把 xmlns 属性定义为 "http://www.w3.org/1999/xhtml"。

在 HTML 5 中，有一个新属性：manifest。

提示和注释

注释：如果您出于某种原因，希望定义 xmlns 属性，唯一合法的值是 "http://www.w3.org/1999/xhtml"。

属性

属性 | 值 | 描述 | 4 | 5
manifest | url | 为脱机使用定义缓存信息。 |  | 5
xmlns | http://www.w3.org/1999/xhtml | 定义 XML namespace 属性。 在 HTML 5 中，不要使用该属性。 | 4 | 5

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访问 HTML 5 中标准属性。

TIY 实例

一个简单的 HTML 文件
这个例子是一个很简单的 HTML 文件，使用了尽量少的 HTML 标签。它向您演示了 body 元素中的内容是如何被浏览器显示的。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <i> 标签

定义和用法

<i> 标签呈现斜体的文本。

<i> 标签定义与文本中其余部分不同的部分，并把这部分文本呈现为斜体文本。在没有其他元素可以使用时，比如 <b>, <cite>, <dfn>, <em>, <q>, <small>, <strong>，请使用 <i> 标签。

HTML 4.01 与 HTML 5 之间的差异

没有区别。

但是在 HTML 4.01 中，存在着一种理解，即应该使用 CSS 来制作斜体文本。在 HTML 5 中，情况没有改变，但是你应该使用 <i> 标签把部分文本定义为某种类型，而不只是利用它在布局中所呈现的样式。

例子

<p>The <i class="taxonomy">Felis silvestris catus</i> is cute.</p>
<p>The term <i>prose content</i> is defined above.</p>
<p>There is a certain <i lang="fr">je ne sais quoi</i> in the air.</p>

属性

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访问 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访问 HTML 5 中事件属性。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <iframe> 标签

定义和用法

<iframe> 标签创建包含另一个文档的行内框架。

HTML 4.01 与 HTML 5 之间的差异

在 HTML 5 中，仅仅支持 src 属性

例子

<iframe src="/index.html"></iframe>

属性

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访问 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访问 HTML 5 中事件属性。

TIY 实例

内联框架
本例演示如何创建内联框架（HTML 页中的框架）。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <img> 标签

定义和用法

<img> 标签定义图像。

HTML 4.01 与 HTML 5 之间的差异

在 HTML 4.01 中，图像的 "align", "border", "hspace" 以及 "vspace" 不赞成使用。在 HTML 5 中，不再支持这些属性。

例子

<img src="smile.gif" alt="smile" />

属性

属性 | 值 | 描述 | 4 | 5
alt | text | 定义有关图形的短的描述。 | 4 | 5
src | URL | 要显示的图像的 URL。 | 4 | 5
align
  • top
  • bottom
  • middle
  • left
  • right
规定如何根据周围的文本来对齐图像。不支持。请使用 CSS 代替。 4
border | pixels | 定义图像周围的边框。不支持。请使用 CSS 代替。 | 4
height | pixels % | 定义图像的高度。 | 4 | 5
hspace | pixels | 定义图像左侧和右侧的空白。不支持。请使用 CSS 代替。 | 4
ismap | URL | 把图像定义为服务器端的图像映射。 | 4 | 5
longdesc | URL | 一个 URL，指向了描述该图像的文档。不支持。 | 4
usemap | URL | 定义作为客户端图像映射的一幅图像。请参阅 <map> 和 <area> 标签，了解其工作原理。 | 4 | 5
vspace | pixels | 定义图像顶部和底部的空白。不支持。请使用 CSS 代替。 | 4 | 5
width | pixels % | 设置图像的宽度。 | 4 | 5

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访问 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访问 HTML 5 中事件属性。

TIY 实例

插入图像
本例演示如何在网页中显示图像。
从不同的位置插入图片
本例演示如何将其他文件夹或服务器的图片显示到网页中。
浮动图像
本例演示如何使图片浮动至段落的左边或右边。
调整图像尺寸
本例演示如何将图片调整到不同的尺寸。
制作图像链接
本例演示如何将图像作为一个链接使用。
创建图像地图
本例显示如何创建带有可供点击区域的图像地图。其中的每个区域都是一个超级链接。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <input> 标签

定义和用法

<input> 标签定义输入字段，用户可在其中输入数据。

HTML 4.01 与 HTML 5 之间的差异

在 HTML 5 中，该元素有很多新属性，同时不再支持 HTML 4.01 中的一些属性。

在 HTML 5 中，type 属性有很多新的值。

例子

注释：input 元素是空的，仅包含属性。

提示：请使用 label 元素为表单控件定义标注。

属性

属性 | 值 | 描述 | 4 | 5
accept | list_of_mime_types | 一个逗号分隔的 MIME 类型列表，指示文件传输的 MIME 类型。注释：仅可与 type="file" 配合使用。 | 4 | 5
align
  • left
  • right
  • top
  • texttop
  • middle
  • absmiddle
  • baseline
  • bottom
  • absbottom

定义图像之后的文本对齐方式。

不支持，请使用 CSS 代替。

 4
alt text

定义图像的替代文本。

注释：仅可与 type="image" 配合使用。

 4 5
autocomplete | 5
autofocus
  • true
  • false

当页面加载时，使输入字段获得焦点。

注释：type="hidden" 时，无法使用。

 5
checked
  • true
  • false

指示此 input 元素首次加载时应当被选中。

注释：请与 type="checkbox" 及 type="radio" 配合使用。

 4 5
disabled
  • true
  • false

当 input 元素首次加载时禁用此元素，这样用户就无法在其中写文本，或选定它。

注释：不能与 type="hidden" 一同使用。

 4 5
form
  • true
  • false
定义输入字段属于一个或多个表单。 5
inputmode | inputmode | 定义预期的输入类型。 | 5
list | id of a datalist | 引用 datalist 元素。如果定义，则一个下拉列表可用于向输入字段插入值。 | 5
max | number | 输入字段的最大值。 | 5
maxlength | number | 定义文本域中所允许的字符最大数目。 | 4 | 5
min | number | 输入字段的最小值。 | 5
name | field_name | 为 input 元素定义唯一的名称。 | 4 | 5
pattern | 5
readonly | readonly | 指示是否可修改该字段的值。 | 4 | 5
replace | text | 定义当表单提交时如何处理该输入字段。 | 5
required
  • true
  • false

定义输入字段的值是否是必需的。

当使用下列类型时无法使用：hidden, image, button, submit, reset

 5
size | number_of_char | 定义 input 元素的大小。不再支持。 | 4
src URL

定义要显示的图像的 URL。

仅用于 type="image" 时。

 4 5
step | 5
template | template | 定义一个或多个模板。 | 5
type
  • button
  • checkbox
  • date
  • datetime
  • datetime-local
  • email
  • file
  • hidden
  • image
  • month
  • number
  • password
  • radio
  • range
  • reset
  • submit
  • text
  • time
  • url
  • week

指示 input 元素的类型。

默认值是 "text"

注释：该属性不是必需的。但是我们认为应该使用它。

 4 5
value value

对于按钮、重置按钮和确认按钮：定义按钮上的文本。

对于图像按钮：定义传递向某个脚本的此域的符号结果。

对于复选框和单选按钮：定义 input 元素被点击时的结果。

对于隐藏域、密码域以及文本域：定义元素的默认值。

注释：不能与 type="file" 一同使用。

注释：与 type="checkbox" 和 type="radio" 一同使用时，此元素是必需的。

 4 5

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访问 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访问 HTML 5 中事件属性。

TIY 实例

文本域 (Text fields)
本例演示如何在HTML页面创建文本域。用户可以在文本域写入文本。
密码域
本例演示如何创建 HTML 的密码域。
复选框
本例演示如何在 HTML 页中创建文本框。用户可以选中或取消选取复选框。
单选按钮
本例演示如何在 HTML 中创建单选按钮。
创建按钮
本例演示如何创建按钮。你可以对按钮上的文字进行自定义。
带有输入框和确认按钮的表单
本例演示如何向页面添加表单。此表单包含两个输入框和一个确认按钮。
带有复选框的表单
此表单包含两个复选框和一个确认按钮。
带有单选按钮的表单
此表单包含两个单选框和一个确认按钮。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <ins> 标签

定义和用法

<ins> 标签定义文档的其余部分之外的插入文本。

HTML 4.01 与 HTML 5 之间的差异

没有。

例子

提示：请与 <del> 标签一起使用，来描述对文档的更新和修正。

属性

属性 | 值 | 描述 | 4 | 5
cite | URL | 指向另一个文档的 URL，该文档解释文本插入的原因。 | 4 | 5
datetime | YYYYMMDD | 定义文本插入的日期和时间。 | 4 | 5

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访问 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访问 HTML 5 中事件属性。

TIY 实例

删除字效果和插入字效果
此例演示如何标示删除文本和插入文本。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <label> 标签

定义和用法

<label> 标签定义控件的标注。如果您在 label 元素内点击文本，就会触发此控件。就是说，当用户选择该标签时，浏览器就会自动将焦点转到和标签相关的表单控件上。

HTML 4.01 与 HTML 5 之间的差异

没有。

提示和注释

注释："for" 属性可把 label 绑定到另外一个元素。请把 "for" 属性的值设置为相关元素的 id 属性的值。

属性

属性 | 值 | 描述 | 4 | 5
for | id_of_another_field | 定义 label 针对哪个表单元素。设置为表单元素的 id。 注释：如果此属性未被规定，那么 label 会关联其内容。 | 4 | 5

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访问 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访问 HTML 5 中事件属性。

TIY 实例

label
如何为控件定义标记。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <legend> 标签

定义和用法

<legend> 标签为 <fieldset>、<figure> 以及 <details> 元素定义标题。

HTML 4.01 与 HTML 5 之间的差异

在 HTML 4.01 中， <legend> 仅用于 <fieldset> 元素。

在 HTML 5 中， <legend> 标签应用于 <fieldset>、<figure> 以及 <details> 元素。

在 HTML 5 中，不支持 align 属性。请使用 CSS 代替。

例子

<fieldset>
<legend>健康信息：</legend>
<form>
<label>身高：<input type="text" /></label>
<label>体重：<input type="text" /></label>
</form>
</fieldset>

属性

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访问 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访问 HTML 5 中事件属性。

TIY 实例

围绕数据的 Fieldse


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <li> 标签

定义和用法

<li> 标签定义列表项，有序列表和无序列表中都使用 <li> 标签。

HTML 4.01 与 HTML 5 之间的差异

在 HTML 4.01 中， 不赞成使用 "type" 和 "value" 属性。

在 HTML 5 中，不再支持 "type" 属性。

在 HTML 5 中， 并没有不赞成使用 "value" 属性，但是仅能够与 <ol> 元素一起使用。

提示和注释

提示：请使用 CSS 来定义列表的类型。

例子

<ol>
   <li>Coffee</li>
   <li>Tea</li>
</ol>

<ol>
   <li value="8">Coffee</li>
   <li>Tea</li>
</ol>

<ul>
   <li>Coffee</li>
   <li>Tea</li>
</ul>

属性

属性 | 值 | 描述 | DTD
type
  • A
  • a
  • I
  • i
  • 1
  • disc
  • square
  • circle
规定列表的类型。不赞成使用。请使用样式替代。 TF
value | number_of_list_item | 不赞成使用。请使用样式替代。 | TF

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访问 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访问 HTML 5 中事件属性。

TIY 实例

无序列表
本例演示一个无序列表。
有序列表
本例演示一个有序列表。
嵌套列表
本例演示如何嵌套列表。
嵌套列表 2
本例演示更复杂的嵌套列表。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <link> 标签

定义和用法

<link> 标签定义两个连接文档之间的关系。

HTML 4.01 与 HTML 5 之间的差异

不再支持 HTML 4.01 中的一些属性。

提示和注释：

注释：link 元素是空元素，它仅包含属性。

注释：此元素只能存在于 head 部分，不过它可出现任意次数。

例子

如何使用 <link> 来链接外部样式表：

<head>
<link rel="stylesheet" type="text/css" href="c3.css"   />
</head>

属性

属性 | 描述 | 4 | 5
charset | 定义目标 URL 的字符编码方式。默认值是 "ISO-8859-1"。不支持。 | 4 |
href | 目标文档或资源的 URL。 | 4 | 5
hreflang | 定义目标 URL 的基准语言。 | 4 | 5
media | 规定文档将显示在什么设备上。 | 4 | 5
rel | 定义当前文档与目标文档之间的关系。 | 4 | 5
rev | 定义目标文档与当前文档之间的关系。 | 4 |
target | 在何处打开目标 URL。 | 4 |
type | 规定目标 URL 的 MIME 类型。 | 4 | 5

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访问 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访问 HTML 5 中事件属性。

TIY 实例

链接到一个外部样式表
本例演示如何 <link> 标签链接到一个外部样式表。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <m> 标签

定义和用法

<m> 标签定义带有记号的文本。请在需要突出显示文本时使用 <m> 标签。

HTML 4.01 与 HTML 5 之间的差异

<m> 标签是 HTML 5 中的新标签。

属性

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访问 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访问 HTML 5 中事件属性。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <map> 标签

定义和用法

<map> 标签定义客户端的图像映射。图像映射是带有可点击区域的图像。

HTML 4.01 与 HTML 5 之间的差异

在 HTML 5 中，不再支持 name 属性。

提示和注释：

注释：area 元素永远嵌套在 map 元素内部。area 元素可定义图像映射中的区域。

属性

属性 | 值 | 描述 | 4 | 5
id | unique_name | 为 map 标签定义唯一的名称。 | 4 | 5
name | unique_name | 为 map 标签定义唯一的名称。不支持。 | 4 |

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访问 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访问 HTML 5 中事件属性。

TIY 实例

创建图像地图
本例显示如何创建带有可点击区域的图像地图。其中的每个区域都是一个超级链接。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <menu> 标签

定义和用法

<menu> 标签定义菜单列表。当希望列出表单控件时使用该标签。

HTML 4.01 与 HTML 5 之间的差异

在 HTML 4.01 中，不赞成使用 menu 元素。

在 HTML 5 中，重新定义了 menu 元素，且使用用于排列表单控件。

提示和注释

提示：请使用 CSS 来定义列表的类型。

例子

<menu>
<li><input type="checkbox" />Red</li>
<li><input type="checkbox" />blue</li>
</menu>

属性

属性 | 值 | 描述 | 4 | 5
autosubmit | true false | 如果为 true，那么当表单控件改变时会自动提交。 | 5
compact | compact_rendering | 不支持。请使用 CSS 代替。 | 4
label | menulabel | 为菜单定义一个可见的标注。 | 5
type
  • context
  • toolbar
  • list
定义显示那种类型的菜单。默认值是 "list"。 5

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访问 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访问 HTML 5 中事件属性。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <meta> 标签

定义和用法

<meta> 元素可提供有关页面的元信息（meta-information），比如针对搜索引擎和更新频度的描述和关键词。

<meta> 标签位于文档的头部，不包含任何内容。<meta> 标签的属性定义了与文档相关联的名称/值对。

HTML 4.01 与 HTML 5 之间的差异

在 HTML 5 中，不再支持 scheme 属性。

在 HTML 5 中，有一个新的 charset 属性，它使字符集的定义更加容易。

在 HTML 4.01 中，不得不这么写：

<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">

在 HTML 5 中，这样就够了：

<meta charset="ISO-8859-1">

提示和注释

提示：请使用 CSS 来定义列表的类型。

例子

定义针对搜索引擎的关键词：

<meta name="keywords" content="HTML, CSS, XML, XHTML, JavaScript" />

定义对页面的描述：

<meta name="description" content="免费的 web 技术教程。" />

定义页面的最新版本：

<meta name="revised" content="David, 2008/8/8/" />

每 5 秒刷新一次页面：

<meta http-equiv="refresh" content="5" />

属性

属性 | 值 | 描述 | 4 | 5
charset | character encoding | 定义文档的字符编码。 | 5
content | some_text | 定义与 http-equiv 或 name 属性相关的元信息。 | 4 | 5
http-equiv
  • content-type
  • expires
  • refresh
  • set-cookie
把 content 属性关联到 HTTP 头部。 4 5
name
  • author
  • description
  • keywords
  • generator
  • revised
  • others
把 content 属性关联到一个名称。 4 5
scheme | some_text | 定义用于翻译 content 属性值的格式。不支持。 | 4

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访问 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访问 HTML 5 中事件属性。

TIY 实例

文档描述
Meta 元素中的信息可以描述 HTML 文档。
文档关键字
Meta 元素中的信息可以描述文档的关键词。
重定向
这个例子演示：在网址已经变更的情况下，将用户重定向到另外一个地址。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <meter> 标签

定义和用法

<meter> 标签定义度量（单位）。仅用于已知最大和最小值的度量。

HTML 4.01 与 HTML 5 之间的差异

<meter> 标签是 HTML 5 中的新标签。

提示和注释

注释：必须定义度量的范围，既可以在 text 中，也可以在 min/max 属性中定义。

例子

<meter min="0" max="20">5</meter>

<meter>2 out of 10</meter>

<meter>30%</meter>

属性

属性 | 值 | 描述
high | number | 定义度量的值位于哪个点，被界定为高的值。
low | number | 定义度量的值位于哪个点，被界定为低的值。
max | number | 定义最大值。默认值是 1。
min | number | 定义最小值。默认值是 0。
optimum | number | 定义什么样的度量值是最佳的值。如果该值高于 "high" 属性，则意味着值越高越好。如果该值低于 "low" 属性的值，则意味着值越低越好。
value | number | 定义度量的值。

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访问 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访问 HTML 5 中事件属性。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <nav> 标签

定义和用法

<nav> 标签定义导航链接的部分。

HTML 4.01 与 HTML 5 之间的差异

<nav> 标签是 HTML 5 中的新标签。

提示和注释

提示：如果文档中有“前后”按钮，则应该把它放到 <nav> 元素中。

例子

<nav>
  <a href="index.htm">w3school 在线教程</a>
  <a href="html5_meter.htm">上一页</a>
  <a href="html5_nest.htm">下一页</a>
</nav>

属性

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访问 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访问 HTML 5 中事件属性。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <nest> 标签

定义和用法

<nest> 标签在数据模板中为子元素定义嵌套点。与 <datatemplate> 和 <rule> 元素一同使用。

HTML 4.01 与 HTML 5 之间的差异

<nest> 标签是 HTML 5 中的新标签。

提示和注释

提示：插入的子节点必须匹配 <nest> 元素的 <rule> 元素。

属性

属性 | 值 | 描述
filter | selector | 定义能够进一步处理哪个子节点。
mode | mode | 定义数据模板的规则将拥有哪种模式。

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访问 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访问 HTML 5 中事件属性。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <noframes> 标签

定义和用法

<noframes> 标签向浏览器显示无法处理框架的提示文本。noframes 元素位于 frameset 元素中。

由于该标签对网页可用性的负面影响，在 HTML 5 中 <noframes> 标签没有得到支持。

HTML 4.01 与 HTML 5 之间的差异

在 HTML 5 中不支持 <noframes> 标签。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <noscript> 标签

定义和用法

noscript 元素用来定义在脚本未被执行时的替代内容（文本）。

此标签用于可识别 <script> 标签但无法支持其中脚本的浏览器。

HTML 4.01 与 HTML 5 之间的差异

没有。

提示和注释

注释：如果浏览器支持脚本，那么它不会显示出 noscript 元素中的文本。

注释：无法识别 <script> 标签的浏览器会把标签的内容显示到页面上。为了避免浏览器这样做，您应当在注释标签中隐藏脚本。老式的（无法识别 <script> 标签的）浏览器会忽略注释，这样就不会把标签的内容写到页面上，而新式的浏览器则懂得执行这些脚本，即使它们被包围在注释标签中！

例子

JavaScript

<body>
  ...
  ...

  <script type="text/javascript">
    <!--
    document.write("Hello World!")
    //-->
  </script>

  <noscript>Your browser does not support JavaScript!</noscript>
  ...
  ...
</body>

VBScript

<body>
  ...
  ...
  <script type="text/vbscript">
   <!--
   document.write("Hello World!")
   '-->
  </script>

  <noscript>Your browser does not support VBScript!</noscript>
  ...
  ...
</body>

TIY 实例

运行于不支持脚本的浏览器
本例演示如何对付不支持脚本的浏览器。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <object> 标签

定义和用法

定义一个嵌入的对象。请使用此元素向您的 XHTML 页面添加多媒体。此元素运行您规定插入 HTML 文档中的对象的数据和参数，以及可用来显示和操作数据的代码。

HTML 4.01 与 HTML 5 之间的差异

不再支持 HTML 4.01 中的一些属性。

提示和注释

注释：object 元素可位于在 head 元素或 body 元素内部。<object> 与 </object> 之间的文本是替换文本，针对不支持此标签的浏览器。<param> 标签可定义用于对象的 run-time 设置。

提示：至于图像，请使用 <img> 标签代替 <object> 标签。

提示：至少必须定义 "data" 和 "type" 属性之一。

属性

属性 | 值 | 描述 | 4 | 5
align
  • left
  • right
  • top
  • bottom
定义围绕该对象的文本对齐方式。不支持。使用 CSS 代替。 4
archive | URL | 一个空格分隔的指向档案文件的 URL 列表。这些档案文件包含了与对象相关的资源。不支持。 | 4
border | pixels | 定义对象周围的边框。不支持。使用 CSS 代替。 | 4
classid | class ID | 用于指定浏览器中包含的对象的位置。不支持。 | 4
codebase | URL | 定义在何处可找到对象所需的代码。不支持。 | 4
codetype | MIME type | 通过 classid 属性所引用的代码的 MIME 类型。不支持。 | 4
data | URL | 定义引用对象数据的 URL。 | 4 | 5
declare
  • true
  • false
可定义此对象仅可被声明，但不能被创建或例示，直到此对象得到应用为止。不支持。 4
height | pixels | 定义对象的高度。 | 4 | 5
hspace | pixels | 定义对象周围水平方向的空白。不支持。使用 CSS 代替。 | 4
name | unique_name | 为对象定义唯一的名称（以便在脚本中使用）。不支持。使用 id 代替。 | 4
standby | text | 定义当对象正在加载时所显示的文本。不支持。 | 4
type | MIME_type | 定义被规定在 data 属性中指定的文件中出现的数据的 MIME 类型。 | 4 | 5
usemap | URL | 规定与对象一同使用的客户端图像映射的 URL。 | 4 | 5
vspace | pixels | 定义对象的垂直方向的空白。不支持。使用 CSS 代替。 | 4
width | pixels | 定义对象的宽度。 | 4 | 5

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访问 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访问 HTML 5 中事件属性。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <ol> 标签

定义和用法

<ol> 标签定义有序列表。

HTML 4.01 与 HTML 5 之间的差异

在 HTML 4.01 中，不赞成使用 "start" 属性，在 HTML 5 中是允许的。

在 HTML 4.01 中，不赞成使用 "compact" 和 "type" 属性，在 HTML 5 中，不再支持这两个属性。

提示和注释

提示：请使用 CSS 来定义列表的类型。

例子

<ol>
   <li>Coffee</li>
   <li>Tea</li>
</ol>

<ol>
   <li start="60">Coffee</li>
   <li>Tea</li>
</ol>

属性

属性 | 值 | 描述 | 4 | 5
compact | compact_rendering | 不赞成。使用 CSS 代替。 | 4
start | start_on_number | 规定起始数字。 | 4 | 5
type
  • A
  • a
  • I
  • i
  • 1
规定列表的类型。不赞成。使用 CSS 代替。 4

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访问 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访问 HTML 5 中事件属性。

TIY 实例

有序列表
本例演示一个有序列表。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <optgroup> 标签

定义和用法

<optgroup> 标签定义选项组。此元素允许您组合选项。当您使用一个长的选项列表时，对相关的选项进行组合会使处理更加容易。

HTML 4.01 与 HTML 5 之间的差异

没有。

例子

<select>
      <optgroup label="Swedish Cars">
      <option value ="volvo">Volvo</option>
      <option value ="saab">Saab</option>
      </optgroup>

      <optgroup label="German Cars">
      <option value ="mercedes">Mercedes</option>
      <option value ="audi">Audi</option>
      </optgroup>
</select>

属性

属性 | 值 | 描述 | 4 | 5
label | text_label | 定义选项组的标注。 | 4 | 5
disabled | disabled | 在其首次加载时，禁用该选项组。 | 4 | 5

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访问 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访问 HTML 5 中事件属性。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <option> 标签

定义和用法

<option> 标签定义下拉列表中的一个选项。

HTML 4.01 与 HTML 5 之间的差异

在 HTML 5 中，<option> 标签也用于新元素 <datalist> 中。

提示和注释

注释：<option> 标签能够在不带任何属性的情况下使用，但是通常需要 value 属性，该属性定义了发送到服务器的数据。

注释：请与 <select> 或 <datalist> 标签结合使用。在其他地方，<option> 标签是无意义的。

例子

<select>
  <option value="volvo">Volvo</option>
  <option value="saab">Saab</option>
  <option value="opel" selected="selected">Opel</option>
  <option value="audi">Audi</option>
</select>

属性

属性 | 值 | 描述 | 4 | 5
disabled | disabled | 规定此选项应在首次加载时被禁用。 | 4 | 5
label | text | 定义当使用 <optgroup> 时所使用的标注。 | 4 | 5
selected | selected | 规定选项（在首次显示在列表中时）表现为选中状态。 | 4 | 5
value | text | 定义送往服务器的选项值。 | 4 | 5

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访问 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访问 HTML 5 中事件属性。

TIY 实例

简单的下拉列表
本例演示如何在 HTML 页面中创建简单的下拉列表框。下拉列表框是一个可选列表。
另一个下拉列表
本例演示如何创建一个简单的带有预选值的下拉列表。（注：预选值指预先指定的首选项。）


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <output> 标签

定义和用法

<output> 标签定义不同类型的输出，比如脚本的输出。

HTML 4.01 与 HTML 5 之间的差异

<output> 标签是 HTML 5 中的新标签。

属性

属性 值 描述
form
  • true
  • false
定义输入字段所属的一个或多个表单。

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访问 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访问 HTML 5 中事件属性。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <p> 标签

定义和用法

<p> 标签定义段落。

HTML 4.01 与 HTML 5 之间的差异

在 HTML 4.01 中，不赞成使用 align 属性，在 HTML 5 中不再支持该属性。

属性

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访问 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访问 HTML 5 中事件属性。

TIY 实例

简单的段落
此例演示：段落元素中的文字如何被浏览器显示。
更多的段落
本例演示段落元素的某些缺省的行为。
“诗歌”问题
本例演示 HTML 格式化的某些问题。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <param> 标签

定义和用法

param 元素允许您为插入 XHTML 文档的对象规定 run-time 设置，也就是说，此标签可为包含它的 <object> 标签提供参数。

HTML 4.01 与 HTML 5 之间的差异

不再支持 HTML 4.01 中的一些属性。

例子

<object id="Slider1" width="100" height="50">
  <param name="BorderStyle" value="1" />
  <param name="MousePointer" value="0" />
  <param name="Enabled" value="1" />
  <param name="Min" value="0" />
  <param name="Max" value="10" />
</object>

属性

属性 | 值 | 描述 | 4 | 5
name | unique_name | 定义参数的唯一的名称（唯一标识符）。 | 4 | 5
type | MIME type | 规定参数的 MIME 类型（internet media type）。不支持。 | 4
value | value | 规定参数的值。 | 4 | 5
valuetype
  • data
  • ref
  • object
规定值的 MIME 类型。不支持。 4

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访问 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访问 HTML 5 中事件属性。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <pre> 标签

定义和用法

pre 元素可定义预格式化的文本。被包围在 pre 元素中的文本通常会保留空格和换行符。而文本也会呈现为等宽字体。

<pre> 标签的一个常见应用就是用来表示计算机的源代码。

HTML 4.01 与 HTML 5 之间的差异

在 HTML 4.01 中，不赞成使用 width 属性，在 HTML 5 中不再支持该属性。

提示和注释

提示：请使用 <pre> 标签来显示非常规的格式化内容，或者某类计算机代码。

属性

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访问 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访问 HTML 5 中事件属性。

TIY 实例

预格式文本
此例演示如何使用 pre 标签对折行和空格进行控制。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <progress> 标签

定义和用法

<progress> 标签运行中的进程。可以使用 <progress> 标签来显示 JavaScript 中耗费时间的函数的进程。

HTML 4.01 与 HTML 5 之间的差异

<progress> 标签是 HTML 5 中的新标签。

提示和注释

提示：请使用 <progress> 标签来显示下载的进程。

例子

对象的下载进程：
<progress><span id="objprogress">85</span>%</progress>

属性

属性 | 值 | 描述
max | number | 定义完成的值。
value | number | 定义进程的当前值。

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访问 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访问 HTML 5 中事件属性。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <q> 标签

定义和用法

<q> 标签定义一个短的引用。

HTML 4.01 与 HTML 5 之间的差异

没有。

提示和注释

提示：请使用 cite 属性来定义该引用的来源。

例子

这是一个短的引用：
<q>这是一个短的引用：</q>

属性

属性 | 值 | 描述 | 4 | 5
cite | url | 定义引用的引文。 | 4 | 5

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访问 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访问 HTML 5 中事件属性。

TIY 实例

引用
此例演示如何实现长短不一的引用语。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <rule> 标签

定义和用法

<rule> 标签定义更新数据模板的规则。与 <datatemplate> 和 <nest> 元素一起使用。

HTML 4.01 与 HTML 5 之间的差异

<rule> 标签是 HTML 5 中的新标签。

属性

属性 | 值 | 描述
condition | selector | 定义将更新哪个元素。
mode | mode | 定义数据模板拥有的模式。

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访问 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访问 HTML 5 中事件属性。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <s> 标签

定义和用法

<s> 标签定义加删除线的文本。HTML 5 中不再支持这个标签。请使用 CSS 代替。

HTML 4.01 与 HTML 5 之间的差异

在 HTML 4.01 中不赞成使用 <s> 标签。

在 HTML 5 中不支持 <s> 标签。

提示和注释

提示：请使用 <del> 标签代替。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <script> 标签

定义和用法

<script> 标签定义一段脚本，比如 JavaScript。

如果 async 属性为 true，则脚本会相对于文档的其余部分异步执行，这样脚本会可以在页面继续解析的过程中来执行。

如果 async 属性为 false，而 defer 属性为 true，则脚本会在页面完成解析时得到执行。

如果 async 和 defer 属性均为 false，那么脚本会立即执行，页面会在脚本执行完毕继续解析。

HTML 4.01 与 HTML 5 之间的差异

在 HTML 5 中，有一些新属性，同时不再支持 HTML 4.01 中的一些属性。

提示和注释

提示：如果存在 src 属性，则 <script> 标签必须是空的。

例子

<script type="text/javascript">
document.write("Hello World!")
</script>

属性

属性 | 值 | 描述 | 4 | 5
async
  • true
  • false
定义脚本是否异步执行。 5
type
  • text/ecmascript
  • text/javascript
  • application/ecmascript
  • application/javascript
  • text/vbscript
指示脚本的 MIME 类型。 4 5
charset | charset | 定义脚本中使用的字符编码。不支持。 | 4
defer
  • true
  • false
指示脚本不会生成任何的文档内容。浏览器可以继续解析并绘制页面。 4 5
language
  • javascript
  • livescript
  • vbscript
  • other
规定脚本语言。不赞成使用。请使用 type 属性代替它。 4
src | URL | 定义指向包含脚本的文件的 URL（这样您就可以引用某个包含脚本的文件，而不是直接把脚本插入您的 HTML 文档中）。 | 4 | 5

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访问 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访问 HTML 5 中事件属性。

TIY 实例

插入一段脚本
本例演示如何将脚本插入 HTML 文档。
运行于不支持脚本的浏览器
本例演示如何对付不支持脚本的浏览器。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <section> 标签

定义和用法

<section> 标签定义文档中的节（section）。比如章节、页眉、页脚或文档中的其他部分。

HTML 4.01 与 HTML 5 之间的差异

<section> 标签是 HTML 5 中的新标签。

属性

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访问 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访问 HTML 5 中事件属性。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <select> 标签

定义和用法

<select> 标签创建下拉列表。

HTML 4.01 与 HTML 5 之间的差异

HTML 5 有一些新的属性，同时不再支持一些 HTML 4.01 的属性。

提示和注释：

提示：请在 form 元素中使用此标签来接受用户的输入。

例子

<select>
  <option value="volvo">Volvo</option>
  <option value="saab">Saab</option>
  <option value="opel">Opel</option>
  <option value="audi">Audi</option>
</select>

属性

属性 | 值 | 描述 | 4 | 5
autofocus
  • true
  • false
在页面加载时使这个 select 字段获得焦点。 5
data | url | 供自动插入数据。 | 5
disabled
  • true
  • false
当该属性为 true 时，会禁用该菜单。 4 5
form
  • true
  • false
定义 select 字段所属的一个或多个表单。 5
multiple
  • true
  • false
当该属性为 true 时，规定可一次选定多个项目。 4 5
name | unique_name | 定义下拉列表的唯一标识符。 | 4 | 5
size | number | 定义菜单中可见项目的数目。不支持。 | 4

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访问 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访问 HTML 5 中事件属性。

TIY 实例

简单的下拉列表
本例演示如何在 HTML 页面中创建简单的下拉列表框。下拉列表框是一个可选列表。
另一个下拉列表
本例演示如何创建一个简单的带有预选值的下拉列表。（注：预选值指预先指定的首选项。）


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <small> 标签

定义和用法

<small> 标签制作更小字号的文本。

HTML 4.01 与 HTML 5 之间的差异

在 HTML 5 中不支持 <small> 标签。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <source> 标签

定义和用法

<source> 标签为媒介元素（比如 <video> 和 <audio>）定义媒介资源。

HTML 4.01 与 HTML 5 之间的差异

<source> 标签是 HTML 5 中的新标签。

属性

属性 | 值 | 描述
media | media query | 定义媒介资源的类型，供浏览器决定是否下载。
src | url | 媒介的 URL。
type | numeric value | 定义播放器在音频流中的什么位置开始播放。默认地，音频从开头播放。

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访问 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访问 HTML 5 中事件属性。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <select> 标签

定义和用法

<span> 标签用于对文档中的行内元素进行组合。

HTML 4.01 与 HTML 5 之间的差异

没有。

提示和注释：

提示：请使用 span 元素对行内元素进行分组，以便通过样式对它们进行格式化。

例子

<p>This is a paragraph <span style="color:#00ff00;">This is a paragraph</span>
This is a paragraph</p>

属性

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访问 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访问 HTML 5 中事件属性。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <strike> 标签

定义和用法

<strike> 标签定义加删除线的文本。HTML 5 中不再支持这个标签。请使用 CSS 代替。

HTML 4.01 与 HTML 5 之间的差异

在 HTML 4.01 中不赞成使用 <strike> 标签。

在 HTML 5 中不支持 <strike> 标签。

提示和注释

提示：请使用 <del> 标签代替。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <style> 标签

定义和用法

<style> 标签定义文档中的样式。

如果需要在文档中引用样式表，应该定义外部的样式表，然后使用 <link> 来连接这个样式表。

HTML 4.01 与 HTML 5 之间的差异

scoped 属性是 HTML 5 中的新属性，它允许我们为文档的指定部分定义样式，而不是整个文档。

提示和注释：

提示：如需学习更多有关样式表的内容，请访问我们的 CSS 教程。

提示：在 HTML 5 中，所有元素都不支持 style 属性，如需为一个元素添加样式，请在 style 元素中使用 scoped 属性。

注释：如果没有定义 scoped 属性，则 <style> 元素必须是 head 元素的子元素，或者是（属于 head 元素的子元素的） noscript 元素的子元素。

例子

<head>
    <style type="text/css">
    h1 {color: blue}
    h2 {color: red}
    </style>
</head>

属性

属性 | 值 | 描述 | 4 | 5
type | text/css | 定义内容类型。 | 4 | 5
media
  • screen
  • tty
  • tv
  • projection
  • handheld
  • print
  • braille
  • aural
  • all
样式信息的目标媒介。 4 5
scoped
  • true
  • false
如果设置为 true，则样式仅仅应用到 style 元素的父元素及其子元素。 4 5

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访问 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访问 HTML 5 中事件属性。

TIY 实例

HTML中的样式
本例演示如何使用添加到 <head> 部分的样式信息对 HTML 进行格式化。
没有下划线的链接
本例演示如何使用样式属性做一个没有下划线的链接。
链接到一个外部样式表
本例演示如何<link>标签链接到一个外部样式表。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <sub> 和 <sup> 标签

定义和用法

<sub> 标签可定义下标文本。<sup> 可定义上标文本。

HTML 4.01 与 HTML 5 之间的差异

没有。

例子

这段文本包含 <sub>下标</sub>

这段文本包含 <sup>上标</sup>

属性

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访问 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访问 HTML 5 中事件属性。

TIY 实例

上标和下标
本例演示如何使用 sup 和 sub 元素。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <table> 标签

定义和用法

<table> 标签可定义表格。在 <table> 标签内部，你可以放置表格的标题、表格行、表格列、表格单元以及其他的表格。

HTML 4.01 与 HTML 5 之间的差异

在 HTML 4.01 中，不赞成使用 "align" 和 "bgcolor" 属性。

在 HTML 5 中，不支持 <table> 标签的任何属性。

例子

<table>
<tr>
<td>Cell A</td>
<td>Cell B</td>
</tr>
</table>

属性

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访问 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访问 HTML 5 中事件属性。

TIY 实例

表格
这个例子演示如何在 HTML 文档中创建表格。
表格中的标题(Headings)
本例演示如何显示表格标题。
空单元格
本例展示如何使用 "&nbsp;" 处理没有内容的单元格。
带有标题的表格
本例演示一个带标题 (caption) 的表格
跨行或跨列的表格单元格
本例演示如何定义跨行或跨列的表格单元格。
表格内的标签
本例演示如何在不同的元素内显示元素。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <tbody> 标签

定义和用法

定义一段表格主体（正文）。

使用 <tbody> 标签，可以将表格分为一个单独的部分。<tbody> 标签可将表格中的一行或几行合成一组。

虽然您可能想包括一个，甚至会在表格中包括两个或更多个 <tbody> 标签，但是我们建议最好在表格中没有 <tbody> 标签。

在 <tbody> 标签中，只有 <tr> 标签可以定义表格行。并且一旦定义，一个 <tbody> 标签就是表格中的一个独立的部分。例如不能从一个 <tbody> 跨越到另一个 <tbody> 中。

thead、tfoot 以及 tbody 元素使您有能力对表格中的行进行分组。当您创建某个表格时，您也许希望拥有一个标题行，一些带有数据的行，以及位于底部的一个总计行。这种划分使浏览器有能力支持独立于表格标题和页脚的表格正文滚动。当长的表格被打印时，表格的表头和页脚可被打印在包含表格数据的每张页面上。

HTML 4.01 与 HTML 5 之间的差异

在 HTML 5 中，不支持 <tbody> 标签的任何属性。

提示和注释：

注释：<thead> 内部必须拥有 <tr> 标签！

注释：如果您使用 thead、tfoot 以及 tbody 元素，您就必须使用全部的元素。它们的出现次序是：thead、tfoot、tbody，这样浏览器就可以在收到所有数据前呈现页脚了。您必须在 table 元素内部使用这些标签。

例子

<table>

  <thead>
    <tr>
      <td>THEAD 中的文本</td>
    </tr>
  </thead>

  <tfoot>
    <tr>
      <td>TFOOT 中的文本</td>
    </tr>
  </tfoot>

  <tbody>
    <tr>
      <td>TBODY 中的文本</td>
    </tr>
  </tbody>

</table>

属性

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访问 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访问 HTML 5 中事件属性。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <td> 标签

定义和用法

<td> 标签定义表格中的一个单元格。

HTML 4.01 与 HTML 5 之间的差异

在 HTML 4.01 中，td 元素的 "bgcolor"、"height"、"width" 以及 "nowrap" 是不被赞成使用的。

在 HTML 5 中，仅仅支持 "colspan" 和 "rowspan" 属性。

例子

<table>
  <tr>
    <td>Cell A</td>
    <td>Cell B</td>
  </tr>
</table>

属性

属性 | 值 | 描述 | 4 | 5
abbr | abbr_text | 规定单元格中内容的缩写版本。不支持。 | 4
align
  • left
  • right
  • center
  • justify
  • char
规定单元格内容的水平排列方式。不支持。请使用 CSS 代替。 4
axis | category_names | 为单元格定义一个名字。不支持。 | 4
bgcolor
  • rgb(x,x,x)
  • #xxxxxx
  • colorname
规定单元格的背景颜色。不支持。请使用 CSS 代替。 4
char | character | 规定根据哪个字符来进行文本对齐。不支持。请使用 CSS 代替。 | 4
charoff
  • pixels
  • %
规定第一个对齐字符的偏移量。不支持。请使用 CSS 代替。 4
colspan | number | 规定此单元格可横跨的列数。 | 4 | 5
headers | header_cells'_id | 空格分隔的单元格 ID 列表。不支持。 | 4
height | pixels | 规定表格单元格的高度。不支持。请使用 CSS 代替。 | 4
nowrap | nowrap | 是否禁用或启用单元格中的文本环绕。不支持。请使用 CSS 代替。 | 4
rowspan | number | 规定此单元格可横跨的行数。 | 4 | 5
scope
  • col
  • colgroup
  • row
  • rowgroup
规定此单元格是否为以下部分提供表头信息：包含此单元格的行 row) 的其余部分，包含此单元格的列 (col) 的其余部分，包含此单元格的行组 (rowgroup) 的其余部分，包含此单元格的列组 (colgroup) 的其余部分。不支持。 4
valign
  • top
  • middle
  • bottom
  • baseline
规定单元格内容的垂直排列方式。不支持。请使用 CSS 代替。 4
width
  • pixels
  • %
规定表格单元格的宽度。不支持。请使用 CSS 代替。 4

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访问 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访问 HTML 5 中事件属性。

TIY 实例

表格
这个例子演示如何在 HTML 文档中创建表格。
表格中的标题(Headings)
本例演示如何显示表格标题。
空单元格
本例展示如何使用 "&nbsp;" 处理没有内容的单元格。
带有标题的表格
本例演示一个带标题 (caption) 的表格
跨行或跨列的表格单元格
本例演示如何定义跨行或跨列的表格单元格。
表格内的标签
本例演示如何在不同的元素内显示元素。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <textarea> 标签

定义和用法

定义一个文本区域 (text-area) （一个多行的文本输入区域）。用户可在此文本区域中写文本。在一个文本区中，您可输入无限数量的文本。文本区中的默认字体是等宽字体 (fixed pitch)。

HTML 4.01 与 HTML 5 之间的差异

在 HTML 5 中有一些新属性，同时不再支持 HTML 4.01 中的一些属性。

例子

<textarea rows="3" cols="30">
这里是文本域中的文本 ... ... ... ...
</textarea>

属性

属性 | 值 | 描述 | 4 | 5
autofocus
  • true
  • false
在页面加载时，使这个 textarea 获得焦点。 5
cols | number | 规定文本区内可见的列数。 | 4 | 5
disabled
  • true
  • false
当此文本区首次加载时禁用此文本区。 4 5
form
  • true
  • false
定义该 textarea 所属的一个或多个表单。 5
inputmode | inputmode | 定义该 textarea 所期望的输入类型。 | 5
name | name_of_textarea | 为此文本区规定的一个名称。 | 4 | 5
readonly
  • true
  • false
指示用户无法修改文本区内的内容。 4 5
required
  • true
  • false
定义为了提交该表单，该 textarea 的值是否是必需的。 5
rows | number | 规定文本区内可见的行数。 | 4 | 5

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访问 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访问 HTML 5 中事件属性。

TIY 实例

Textarea
如何创建 textarea。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <tfoot> 标签

定义和用法

定义表格的页脚（脚注）。

thead、tfoot 以及 tbody 元素使您有能力对表格中的行进行分组。当您创建某个表格时，您也许希望拥有一个标题行，一些带有数据的行，以及位于底部的一个总计行。这种划分使浏览器有能力支持独立于表格标题和页脚的表格正文滚动。当长的表格被打印时，表格的表头和页脚可被打印在包含表格数据的每张页面上。

HTML 4.01 与 HTML 5 之间的差异

在 HTML 5 中，不支持 <tfoot> 标签的任何属性。

提示和注释：

注释：<tfoot> 内部必须拥有 <tr> 标签！

注释：如果您使用 thead、tfoot 以及 tbody 元素，您就必须使用全部的元素。它们的出现次序是：thead、tfoot、tbody，这样浏览器就可以在收到所有数据前呈现页脚了。您必须在 table 元素内部使用这些标签。

例子

<table>

  <thead>
    <tr>
      <td>THEAD 中的文本</td>
    </tr>
  </thead>

  <tfoot>
    <tr>
      <td>TFOOT 中的文本</td>
    </tr>
  </tfoot>

  <tbody>
    <tr>
      <td>TBODY 中的文本</td>
    </tr>
  </tbody>

</table>

属性

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访问 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访问 HTML 5 中事件属性。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <th> 标签

定义和用法

<th> 标签定义表格内的表头单元格。此 th 元素内部的文本通常会呈现为粗体。

HTML 4.01 与 HTML 5 之间的差异

在 HTML 4.01 中，th 元素的 "bgcolor"、"height"、"width" 以及 "nowrap" 属性是不被赞成使用的。

在 HTML 5 中，仅仅支持 "colspan" 、 "rowspan" 以及 "scope" 属性。

例子

<table>
  <tr>
    <th>Header 1</th>
    <th>Header 2</th>
  </tr>

  <tr>
    <td>Cell A</td>
    <td>Cell B</td>
  </tr>
</table>

属性

属性 | 值 | 描述 | 4 | 5
abbr | abbr_text | 规定单元格中内容的缩写版本。不支持。 | 4
align
  • left
  • right
  • center
  • justify
  • char
规定单元格内容的水平排列方式。不支持。请使用 CSS 代替。 4
axis | category_names | 为单元格定义一个名字。不支持。 | 4
bgcolor
  • rgb(x,x,x)
  • #xxxxxx
  • colorname
规定单元格的背景颜色。不支持。请使用 CSS 代替。 4
char | character | 规定根据哪个字符来进行文本对齐。不支持。请使用 CSS 代替。 | 4
charoff
  • pixels
  • %
规定第一个对齐字符的偏移量。不支持。请使用 CSS 代替。 4
colspan | number | 规定此单元格可横跨的列数。 | 4 | 5
headers | header_cells'_id | 空格分隔的单元格 ID 列表。不支持。 | 4
height | pixels | 规定表格单元格的高度。不支持。请使用 CSS 代替。 | 4
nowrap | nowrap | 是否禁用或启用单元格中的文本环绕。不支持。请使用 CSS 代替。 | 4
rowspan | number | 规定此单元格可横跨的行数。 | 4 | 5
scope
  • col
  • colgroup
  • row
  • rowgroup
规定此单元格是否为以下部分提供表头信息：包含此单元格的行 row) 的其余部分，包含此单元格的列 (col) 的其余部分，包含此单元格的行组 (rowgroup) 的其余部分，包含此单元格的列组 (colgroup) 的其余部分。不支持。 4 5
valign
  • top
  • middle
  • bottom
  • baseline
规定单元格内容的垂直排列方式。不支持。请使用 CSS 代替。 4
width
  • pixels
  • %
规定表格单元格的宽度。不支持。请使用 CSS 代替。 4

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访问 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访问 HTML 5 中事件属性。

TIY 实例

表格
这个例子演示如何在 HTML 文档中创建表格。
表格中的标题(Headings)
本例演示如何显示表格标题。
空单元格
本例展示如何使用 "&nbsp;" 处理没有内容的单元格。
带有标题的表格
本例演示一个带标题 (caption) 的表格
跨行或跨列的表格单元格
本例演示如何定义跨行或跨列的表格单元格。
表格内的标签
本例演示如何在不同的元素内显示元素。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <thead> 标签

定义和用法

定义表格的表头。

thead、tfoot 以及 tbody 元素使您有能力对表格中的行进行分组。当您创建某个表格时，您也许希望拥有一个标题行，一些带有数据的行，以及位于底部的一个总计行。这种划分使浏览器有能力支持独立于表格标题和页脚的表格正文滚动。当长的表格被打印时，表格的表头和页脚可被打印在包含表格数据的每张页面上。

HTML 4.01 与 HTML 5 之间的差异

在 HTML 5 中，不支持 <thead> 标签的任何属性。

提示和注释：

注释：<thead> 内部必须拥有 <tr> 标签！

注释：如果您使用 thead、tfoot 以及 tbody 元素，您就必须使用全部的元素。它们的出现次序是：thead、tfoot、tbody，这样浏览器就可以在收到所有数据前呈现页脚了。您必须在 table 元素内部使用这些标签。

例子

<table>

  <thead>
    <tr>
      <td>THEAD 中的文本</td>
    </tr>
  </thead>

  <tfoot>
    <tr>
      <td>TFOOT 中的文本</td>
    </tr>
  </tfoot>

  <tbody>
    <tr>
      <td>TBODY 中的文本</td>
    </tr>
  </tbody>

</table>

属性

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访问 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访问 HTML 5 中事件属性。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <time> 标签

定义和用法

<time> 标签定义日期或时间，或者两者。

HTML 4.01 与 HTML 5 之间的差异

<time> 标签是 HTML 5 中的新标签。

例子

我们在每天早上 <time>9:00</time> 开始营业。
我在 <time datetime="2008-02-14">情人节</time> 有个约会。

属性

属性 | 值 | 描述
datetime | datetime | 定义元素的日期和时间。 如果未定义该属性，则必须在元素的内容中规定日期或时间。

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访 HTML 5 中事件属性。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <title> 标签

定义和用法

<title> 标签定义文档的标题。

HTML 4.01 与 HTML 5 之间的差异

没有。

提示和注释

注释：一个文档中不能有一个以上的 <title> 元素。

例子

<html>
<head>
<title>HTML 5 Tag Reference</title>
</head>

<body>
The content of the document......
</body>

</html>

属性

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访 HTML 5 中标准属性。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <tr> 标签

定义和用法

<tr> 标签定义表格中的行。

HTML 4.01 与 HTML 5 之间的差异

在 HTML 5 中，不支持 <tr> 标签的任何属性。

例子

<table>
  <tr>
    <td>Cell A</td>
    <td>Cell B</td>
  </tr>
</table>

属性

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访问 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访问 HTML 5 中事件属性。

TIY 实例

表格
这个例子演示如何在 HTML 文档中创建表格。
表格中的标题(Headings)
本例演示如何显示表格标题。
空单元格
本例展示如何使用 "&nbsp;" 处理没有内容的单元格。
带有标题的表格
本例演示一个带标题 (caption) 的表格
跨行或跨列的表格单元格
本例演示如何定义跨行或跨列的表格单元格。
表格内的标签
本例演示如何在不同的元素内显示元素。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <tt> 标签

定义和用法

<tt> 标签定义打字机文本。HTML 5 中不再支持该标签。请使用 CSS 代替。

HTML 4.01 与 HTML 5 之间的差异

在 HTML 5 中不支持 <tt> 标签。

提示和注释

提示：请使用 CSS 向元素添加样式。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <u> 标签

定义和用法

<u> 标签定义下划线文本。HTML 5 中不再支持该标签。

HTML 4.01 与 HTML 5 之间的差异

在 HTML 4.01 中不赞成使用 <u> 标签。

在 HTML 5 中不支持 <u> 标签。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <ul> 标签

定义和用法

<ul> 标签无序列表。

HTML 4.01 与 HTML 5 之间的差异

在 HTML 4.01 中，ul 元素的 "compact" 和 "type" 属性是不被赞成使用的。在 HTML 5 中，不再支持这两个属性。

提示和注释

提示：请使用 CSS 来定义列表的类型。

例子

<ul>
   <li>Coffee</li>
   <li>Tea</li>
</ul>

属性

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访问 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访问 HTML 5 中事件属性。

TIY 实例

无序列表
本例演示一个无序列表。
嵌套列表
本例演示如何嵌套列表。
嵌套列表 2
本例演示更复杂的嵌套列表。


HTML 标签

  • <!-->
  • <!DOCTYPE>
  • <a>
  • <abbr>
  • <acronym>
  • <address>
  • <applet>
  • <area>
  • <article>
  • <aside>
  • <audio>
  • <b>
  • <base>
  • <basefont>
  • <bdo>
  • <big>
  • <blockquote>
  • <body>
  • <br>
  • <button>
  • <canvas>
  • <caption>
  • <center>
  • <cite>
  • <code>
  • <col>
  • <colgroup>
  • <command>
  • <datagrid>
  • <datalist>
  • <datatemplate>
  • <dd>
  • <del>
  • <details>
  • <dialog>
  • <dfn>
  • <dir>
  • <div>
  • <dl>
  • <dt>
  • <em>
  • <embed>
  • <event-source>
  • <fieldset>
  • <figure>
  • <font>
  • <footer>
  • <form>
  • <frame>
  • <frameset>
  • <head>
  • <header>
  • <h1> - <h6>
  • <hr>
  • <html>
  • <i>
  • <iframe>
  • <img>
  • <input>
  • <ins>
  • <kbd>
  • <label>
  • <legend>
  • <li>
  • <link>
  • <m>
  • <map>
  • <menu>
  • <meta>
  • <meter>
  • <nav>
  • <nest>
  • <noframes>
  • <noscript>
  • <object>
  • <ol>
  • <optgroup>
  • <option>
  • <output>
  • <p>
  • <param>
  • <pre>
  • <progress>
  • <q>
  • <rule>
  • <s>
  • <samp>
  • <script>
  • <section>
  • <select>
  • <small>
  • <source>
  • <span>
  • <strike>
  • <strong>
  • <style>
  • <sub>
  • <sup>
  • <table>
  • <tbody>
  • <td>
  • <textarea>
  • <tfoot>
  • <th>
  • <thead>
  • <time>
  • <title>
  • <tr>
  • <tt>
  • <u>
  • <ul>
  • <var>
  • <video>

HTML 5 <video> 标签

定义和用法

<video> 标签定义视频，比如电影片段或其他视频流。

HTML 4.01 与 HTML 5 之间的差异

<video> 标签是 HTML 5 的新标签。

提示和注释

提示：可以在开始标签和结束标签之间放置文本内容，这样老的浏览器就可以显示出不支持该标签的信息。

例子：

<video src="somevideo.wmv">您的浏览器不支持 video 标签。</video>

属性

属性 | 值 | 描述
autoplay | true | false | 如果是 true，则视频在就绪后马上播放。
controls | true | false | 如果是 true，则向用户显示控件，比如播放按钮。
end | numeric value | 定义播放器在视频流中的何处停止播放。默认地，声音会播放到结尾。
height | pixels | 设置视频播放器的高度。
loopend | numeric value | 定义在视频流中循环播放停止的位置，默认是 end 属性的值。
loopstart | numeric value | 定义在视频流中循环播放的开始位置。默认是 start 属性的值
playcount | numeric value | 定义视频片段播放多少次。默认是 1。
poster | url | 在视频播放之前所显示的图片的 URL。
src | url | 要播放的视频的 URL。
start | numeric value | 定义播放器在音频流中开始播放的位置。默认地，声音在开头进行播放。
width | pixels | 设置视频播放器的宽度。

标准属性

class, contenteditable, contextmenu, dir, draggable, id, irrelevant,
lang, ref, registrationmark, tabindex, template, title

如需完整的描述，请访 HTML 5 中标准属性。

事件属性

onabort, onbeforeunload, onblur, onchange, onclick, oncontextmenu,
ondblclick, ondrag, ondragend, ondragenter, ondragleave, ondragover,
ondragstart, ondrop, onerror, onfocus, onkeydown, onkeypress, onkeyup,
onload, onmessage, onmousedown, onmousemove, onmouseover, onmouseout,
onmouseup, onmousewheel, onresize, onscroll, onselect, onsubmit, onunload

如需完整的描述，请访 HTML 5 中事件属性。


HTML 5 标准属性

HTML 5 参考手册

  • HTML 5 标签
  • HTML 5 属性
  • HTML 5 事件属性

HTML 5 标准属性

  • Previous Page
  • Next Page

HTML 标签拥有属性。您可以在每个标签的参考页中找到相应的特殊属性。这里列出的属性是通用于每个标签的核心属性和语言属性（有个别例外）。

HTML 4.01 与 HTML 5 之间的差异

HTML 5 中的新属性：contenteditable, contextmenu, draggable, irrelevant, ref, registrationmark, template。

HTML 4.01 中不再支持的属性：accesskey。

属性

属性 | 值 | 描述 | 4 | 5
acceskey | a character | 设置访问一个元素的键盘快捷键。不支持。 | 4 |
class | class_rule or style_rule | 元素的类名。 | 4 | 5
contenteditable | true false | 设置是否允许用户编辑元素。 |  | 5
contentextmenu | id of a menu element | 给元素设置一个上下文菜单。 |  | 5
dir | ltr rtl | 设置文本方向。 | 4 | 5
draggable | true false auto | 设置是否允许用户拖动元素。 |  | 5
id | id_name | 元素的唯一 id。 | 4 | 5
irrelevant | true false | 设置元素是否相关。不显示非相关的元素。 |  | 5
lang | language_code | 设置语言码。 | 4 | 5
ref | url or elementID | 引用另一个文档或本文档上另一个位置。仅在 template 属性设置时使用。 |  | 5
registrationmark | registration mark | 为元素设置拍照。可规定于任何 <rule> 元素的后代元素，除了 <nest> 元素。 |  | 5
style | style_definition | 行内的样式定义。 | 4 | 5
tabindex | number | 设置元素的 tab 顺序。 | 4 | 5
template | url or elementID | 引用应该应用到该元素的另一个文档或本文档上另一个位置。 |  | 5
title | tooltip_text | 显示在工具提示中的文本。 | 4 | 5
  • Previous Page
  • Next Page


HTML 5 参考手册

HTML 5 参考手册

  • HTML 5 标签
  • HTML 5 属性
  • HTML 5 事件属性

建站手册

  • 网站构建
  • 万维网联盟
  • 浏览器信息
  • 网站品质
  • 语义网
  • 职业规划
  • 网站主机

帮助 W3School

HTML 5 参考手册

  • Next Page

W3C 在 1 月 22 日发布了最新的 HTML 5 工作草案。HTML 5 工作组包括 AOL, Apple, Google, IBM, Microsoft, Mozilla, Nokia, Opera 以及数百个其他的开发商。HTML 5 中的一些新特性：嵌入音频、视频、图片的函数、客户端数据存储，以及交互式文档。其他特性包括新的页面元素，比如 <header>, <section>, <footer>, 以及 <figure>。

通过制定如何处理所有 HTML 元素以及如何从错误中恢复的精确规则，HTML 5 改进了互操作性，并减少了开发成本。

按字母顺序排列

  • 4: 指示在 HTML 4.01 中是否定义了该元素
  • 5: 指示在 HTML 5 中是否定义了该元素
标签 | 描述 | 4 | 5
<!--...--> | 定义注释。 | 4 | 5
<!DOCTYPE> | 定义文档类型。 | 4 | 5
<a> | 定义超链接。 | 4 | 5
<abbr> | 定义缩写。 | 4 | 5
<acronym> | 不支持。定义首字母缩写。 | 4 |
<address> | 定义地址元素。 | 4 | 5
<applet> | 不支持。定义 applet。 | 4 |
<area> | 定义图像映射中的区域。 | 4 | 5
<article> | 定义 article。 |  | 5
<aside> | 定义页面内容之外的内容。 |  | 5
<audio> | 定义声音内容。 |  | 5
<b> | 定义粗体文本。 | 4 | 5
<base> | 定义页面中所有链接的基准 URL。 | 4 | 5
<basefont> | 不支持。请使用 CSS 代替。 | 4 |
<bdo> | 定义文本显示的方向。 | 4 | 5
<big> | 不支持。定义大号文本。 | 4 |
<blockquote> | 定义长的引用。 | 4 | 5
<body> | 定义 body 元素。 | 4 | 5
<br> | 插入换行符。 | 4 | 5
<button> | 定义按钮。 | 4 | 5
<canvas> | 定义图形。 |  | 5
<caption> | 定义表格标题。 | 4 | 5
<center> | 不支持。定义居中的文本。 | 4 |
<cite> | 定义引用。 | 4 | 5
<code> | 定义计算机代码文本。 | 4 | 5
<col> | 定义表格列的属性。 | 4 | 5
<colgroup> | 定义表格列的分组。 | 4 | 5
<command> | 定义命令按钮。 |  | 5
<datagrid> | 定义树列表 (tree-list) 中的数据。 |  | 5
<datalist> | 定义下拉列表。 |  | 5
<datatemplate> | 定义数据模板。 |  | 5
<dd> | 定义定义的描述。 | 4 | 5
<del> | 定义删除文本。 | 4 | 5
<details> | 定义元素的细节。 |  | 5
<dialog> | 定义对话（会话）。 |  | 5
<dir> | 不支持。定义目录列表。 | 4 |
<div> | 定义文档中的一个部分。 | 4 | 5
<dfn> | 定义定义项目。 | 4 | 5
<dl> | 定义定义列表。 | 4 | 5
<dt> | 定义定义的项目。 | 4 | 5
<em> | 定义强调文本。 | 4 | 5
<embed> | 定义外部交互内容或插件。 |  | 5
<event-source> | 为服务器发送的事件定义目标。 |  | 5
<fieldset> | 定义 fieldset。 | 4 | 5
<figure> | 定义媒介内容的分组，以及它们的标题。 |  | 5
<font> | 不赞成。定义文本的字体、尺寸和颜色。 | 4 |
<footer> | 定义 section 或 page 的页脚。 |  | 5
<form> | 定义表单。 | 4 | 5
<frame> | 不支持。定义子窗口（框架）。 | 4 |
<frameset> | 不支持。定义框架的集。 | 4 |
<h1> to <h6> | 定义标题 1 到标题 6。 | 4 | 5
<head> | 定义关于文档的信息。 | 4 | 5
<header> | 定义 section 或 page 的页眉。 |  | 5
<hr> | 定义水平线。 | 4 | 5
<html> | 定义 html 文档。 | 4 | 5
<i> | 定义斜体文本。 | 4 | 5
<iframe> | 定义行内的子窗口（框架）。 | 4 | 5
<img> | 定义图像。 | 4 | 5
<input> | 定义输入域。 | 4 | 5
<ins> | 定义插入文本。 | 4 | 5
<isindex> | 不支持。定义单行的输入域。 | 4 |
<kbd> | 定义键盘文本。 | 4 | 5
<label> | 定义表单控件的标注。 | 4 | 5
<legend> | 定义 fieldset 中的标题。 | 4 | 5
<li> | 定义列表的项目。 | 4 | 5
<link> | 定义资源引用。 | 4 | 5
<m> | 定义有记号的文本。 |  | 5
<map> | 定义图像映射。 | 4 | 5
<menu> | 定义菜单列表。 | 4 | 5
<meta> | 定义元信息。 | 4 | 5
<meter> | 定义预定义范围内的度量。 |  | 5
<nav> | 定义导航链接。 |  | 5
<nest> | 定义数据模板中的嵌套点。 |  | 5
<noframes> | 不支持。定义 noframe 部分。 | 4 |
<noscript> | 不支持。定义 noscript 部分。 | 4 |
<object> | 定义嵌入对象。 | 4 | 5
<ol> | 定义有序列表。 | 4 | 5
<optgroup> | 定义选项组。 | 4 | 5
<option> | 定义下拉列表中的选项。 | 4 | 5
<output> | 定义输出的一些类型。 |  | 5
<p> | 定义段落。 | 4 | 5
<param> | 为对象定义参数。 | 4 | 5
<pre> | 定义预格式化文本。 | 4 | 5
<progress> | 定义任何类型的任务的进度。 |  | 5
<q> | 定义短的引用。 | 4 | 5
<rule> | 为升级模板定义规则。 |  | 5
<s> | 不支持。定义加删除线的文本。 | 4 |
<samp> | 定义样本计算机代码。 | 4 | 5
<script> | 定义脚本。 | 4 | 5
<section> | 定义 section。 |  | 5
<select> | 定义可选列表。 | 4 | 5
<small> | 不支持。定义小号文本。 | 4 | 5
<source> | 定义媒介源。 |  | 5
<span> | 定义文档中的 section。 | 4 | 5
<strike> | 不支持。定义加删除线的文本。 | 4 |
<strong> | 定义强调文本。 | 4 | 5
<style> | 定义样式定义。 | 4 | 5
<sub> | 定义上标文本。 | 4 | 5
<sup> | 定义下标文本。 | 4 | 5
<table> | 定义表格。 | 4 | 5
<tbody> | 定义表格的主体。 | 4 | 5
<td> | 定义表格单元。 | 4 | 5
<textarea> | 定义 textarea。 | 4 | 5
<tfoot> | 定义表格的脚注。 | 4 | 5
<th> | 定义表头。 | 4 | 5
<thead> | 定义表头。 | 4 | 5
<time> | 定义日期/时间。 |  | 5
<title> | 定义文档的标题。 | 4 | 5
<tr> | 定义表格行。 | 4 | 5
<tt> | 不支持。定义打字机文本。 | 4 |
<u> | 不支持。定义下划线文本。 | 4 |
<ul> | 定义无序列表。 | 4 | 5
<var> | 定义变量。 | 4 | 5
<video> | 定义视频。 |  | 5
<xmp> | 不支持。定义预格式文本。 | 4 | 5
  • Next Page


HTML 5 事件属性

HTML 5 参考手册

  • HTML 5 标签
  • HTML 5 属性
  • HTML 5 事件属性

HTML 5 事件属性

  • Previous Page
  • Next Page

HTML 元素可拥有事件属性，这些属性在浏览器中触发行为，比如当用户单击一个 HTML 元素时启动一段 JavaScript。下面列出的事件属性，可以把它们插入 HTML 标签来定义事件行为。

如果需要学习更多有关使用这些事件进行编程的内容，请学习我们的 JavaScript 教程 和 DHTML 教程。

HTML 4.01 与 HTML 5 之间的差异

HTML 5 中的新事件：onabort, onbeforeunload, oncontextmenu, ondrag, ondragend, ondragenter, ondragleave, ondragover, ondragstart, ondrop, onerror, onmessage, onmousewheel, onresize, onscroll, onunload。

不再支持的 HTML 4.01 属性：onreset。

属性

属性 | 值 | 描述 | 4 | 5
onabort | script | 发生 abort 事件时运行脚本。 |  | 5
onbeforeonload | script | 在元素加载前运行脚本。 |  | 5
onblur | script | 当元素失去焦点时运行脚本。 | 4 | 5
onchange | script | 当元素改变时运行脚本。 | 4 | 5
onclick | script | 在鼠标点击时允许脚本。 | 4 | 5
oncontextmenu | script | 当菜单被触发时运行脚本。 |  | 5
ondblclick | script | 当鼠标双击时运行脚本。 | 4 | 5
ondrag | script | 只要脚本在被拖动就允许脚本。 |  | 5
ondragend | script | 在拖动操作结束时运行脚本。 |  | 5
ondragenter | script | 当元素被拖动到一个合法的放置目标时，执行脚本。 |  | 5
ondragleave | script | 当元素离开合法的放置目标时。 |  | 5
ondragover | script | 只要元素正在合法的放置目标上拖动时，就执行脚本。 |  | 5
ondragstart | script | 在拖动操作开始时执行脚本。 |  | 5
ondrop | script | 当元素正在被拖动时执行脚本。 |  | 5
onerror | script | 当元素加载的过程中出现错误时执行脚本。 |  | 5
onfocus | script | 当元素获得焦点时执行脚本。 | 4 | 5
onkeydown | script | 当按钮按下时执行脚本。 | 4 | 5
onkeypress | script | 当按键被按下时执行脚本。 | 4 | 5
onkeyup | script | 当按钮松开时执行脚本。 | 4 | 5
onload | script | 当文档加载时执行脚本。 | 4 | 5
onmessage | script | 当 message 事件触发时执行脚本。 |  | 5
onmousedown | script | 当鼠标按钮按下时执行脚本。 | 4 | 5
onmousemove | script | 当鼠标指针移动时执行脚本。 | 4 | 5
onmouseover | script | 当鼠标指针移动到一个元素上时执行脚本。 | 4 | 5
onmouseout | script | 当鼠标指针移出元素时执行脚本。 | 4 | 5
onmouseup | script | 当鼠标按钮松开时执行脚本。 | 4 | 5
onmousewheel | script | 当鼠标滚轮滚动时执行脚本。 |  | 5
onreset | script | 当表单重置时执行脚本。不支持。 | 4 |
onresize | script | 当元素调整大小时运行脚本。 |  | 5
onscroll | script | 当元素滚动条被滚动时执行脚本。 |  | 5
onselect | script | 当元素被选中时执行脚本。 | 4 | 5
onsubmit | script | 当表单提交时运行脚本。 | 4 | 5
onunload | script | 当文档卸载时运行脚本。 |  | 5
  • Previous Page
  • Next Page


说明

本册限于W3C俱乐部会员使用，如果有错漏请到http://wwww.w3club.cn跟帖纠正,在此感谢隽轩网络无私赞助服务器给W3C俱乐部。

关于收集者

姓名：七二
Email:72@w3club.cn
个人博客：http://www.seven2.com.cn

版权

此中文手册来自w3cschool中文网 ，版权归原创，本人只作收集整理供大家学习方便，若您想了解最新信息请访问www.w3school.com.cn。


Easy CHM - http://www.eTextWizard.com

您现在使用的CHM文件由Easy CHM的未注册版本制作.
注册版本不会在CHM里自动添加此页面

Easy CHM 软件 软件出品: 国华软件 中国北京 |  | 截屏图片
 | 文件大小: 2989k - 2.84MB | 软件类型: 共享软件 购买注册: 这里
关键词: make chm, create chm, chm制作工具, chm电子书制作工具,chm帮助文件制作工具

描述:

Easy CHM是国华软件推出的一款强大的CHM电子书或CHM帮助文件的快速制作工具。使用EasyCHM只需要三个步骤就可以完成CHM的制作：1、用户指定一个目录，EasyCHM会自动导入全部目录及文件；2、设置CHM编译选项；3、开始制作。EasyCHM非常适合个人和单位制作高压缩比的带有全文检索及高亮显示搜索结果的网页集锦、CHM帮助文件、产品说明、公司介绍、CHM电子书等等。

主要功能：

  • 全自动的目录及文件导入（可以包括子目录）；
  • EasyCHM支持导入任意的文件类型；
  • EasyCHM操作速度快，性能稳定，EasyCHM因为上手容易深得广大用户好评；
  • EasyCHM自动生成CHM的目录列表并自动生成所有目录项；
  • 为CHM的目录列表自动添加多级编号；
  • 在编辑目录项、索引项时用到的移动、拖拽、替换等操作中Easy CHM完全支持多选操作，避免了一项一项地操作，极大的减少用户手工 － 非常适合企业维护CHM帮助文档；
  • 支持批量查找替换多级目录各项的标题文字内容；
  • 允许用户指定从文本文件的第N行自动截取标题；
  • 易用的目录编辑器；
  • 丰富实用的CHM制作选项帮助用户制作更加个性化的专业CHM电子书或CHM帮助文件；
  • EasyCHM自动生成输出Alias和Map头文件；
  • EasyCHM自动生成上下文相关的帮助文件（ContextID），适合于制作专业的支持Help Context ID的专业帮助文件；
  • EasyCHM可以保存工程文件，方便企业用户编辑维护文档。
  • 批量更换CHM目录各项的图标；
  • 内嵌CHM反编译工具；

EasyCHM未注册版本的主要限制：

  1. EasyCHM的未注册版本可以制作带任意层级目录的CHM，但是每个CHM的工具栏上都会自动添加一个ABOUT按钮，以提醒用户注册。注册版本不会添加ABOUT按钮。
  2. EasyCHM的未注册版本无法保存CHM的通用工程文件，如*.HHP、*.HHC、*.HHK等，未注册版本的EasyCHM会自动删除*.HHP、*.HHC、*.HHK这几个文件。

注册版本无任何限制。
如果EasyCHM可以为您的工作和学习提供帮助，请注册购买，感谢您给予软件作者的支持。
联系方式:
国华软件站点一: http://www.etextwizard.com
国华软件站点二: http://www.zipghost.com
技术支持信箱: webmaster@etextwizard.com
购买方式:
在线购买:（可提供发票，支持很多种支付方式，包括邮政汇款）
单用户企业版 299元 人民币 ：通过“共享软件注册中心”购买

单用户家庭版 99元 人民币： 通过“共享软件注册中心”购买
直接向作者注册（共3种方式）：
1、招商银行划款:
开户行： 招商银行北京分行双榆树支行
帐 号： 001015570093
户 名： 冯国华
2、中国农业银行金穗卡转帐（注意是卡号）：
金穗卡卡号： 95599 8001 42061 34216
收 款 人： 冯国华
3、中国工商银行牡丹灵通卡转帐：

开户城市：北京
牡丹灵通卡卡号：9558 8202 0000 3186295 （注意是卡号9558820200003186295）
收 款 人： 冯国华

注意事项：
直接向作者注册的用户请在汇出足额的注册费后以EMAIL形式通知作者，同时请尽量提供

  • 汇款日期

  • 汇出城市

  • 您汇到作者哪个帐号？

  • 汇款人姓名

  • 用于接收注册码的信箱（请确保可以接收邮件，最好多提供）

  • 您希望的注册用户名

  • 要注册的软件及套数

您提供的资料详细些会比较方便确认。
作者在确认支付已完成后将会马上发出注册码。
用户在收到注册信后请尽量给软件作者发个类似“已收到注册码”的确认信 - 感谢您的配合！
下载地址:

系统需求: Win98,WinME,WinXP,Windows2000,WinVista
安装支持: 支持安装及卸载